from BlogPost.Business import BlogPostManager
from BlogPost.Entity import BlogPost

from lawrence.base import Handler
from lawrence.HTTPStatus import *

class Index (Handler):
    __method__ = 'GET'
    __path__ = '/BlogPost/'

    def Handle(self):
        self.RequirePermission('/BlogPost/', 'read')

        recentPostList = self.GetManager(BlogPostManager).GetLatest()

        return self.RenderTemplate(
			'BlogPost/View/Index',
			recentPostList = recentPostList)

class Create (Handler):
    __method__ = 'POST'
    __path__ = '/BlogPost/Create'

    def Handle(self, *,
			Content: str):
        self.RequirePermission('/BlogPost/', 'write')

        news = BlogPost(Content = Content, Author__Id = self.CurrentUser.Id)
        self.GetManager(BlogPostManager).Create(news)

        raise SeeOther('/News/')

class Delete (Handler):
    __method__ = 'POST'
    __path__ = '/BlogPost/(?P<blogPostId>[1-9][0-9]*)/Delete'

    def Handle(self, *,
			blogPost: BlogPost):
        if self.CurrentUser.Id == blogPost.Author.Id:
            self.RequirePermission('/BlogPost/', 'write')
        else:
            self.RequirePermission('/BlogPost/', 'admin')

        self.GetManager(BlogPostManager).Delete(blogPost)

        raise NoContent()
