<%inherit file="/View/Settings/_Base.mako" />

<div class="span6 offset3">
    <h3 class="box-header">Novidades</h3>
    <div class="box widget-comments">
        <% from datetime import datetime %>
% for post in recentPostList:
        <div class="comment">
            <img src="/user/${post.Author.Id}/picture/" alt="">
            <div class="content">
                <span class="commented-by">
                    <a href="/user/${post.Author.Id}/">${post.Author.FullName | h}</a>
                </span>
                ${post.Content}
                <span class="actions">
% if user.Id == post.Author.Id or user.HasPermission('/BlogPost/', 'admin'):
                    <a href="#" class="post-delete" data-path="/BlogPost/${post.Id | h}/Delete"><i class="icon-trash"></i>Apagar</a>
% else:
                    &nbsp;
% endif
                    <span class="pull-right">${post.CreationDateTime - datetime.now() | n,TimeDelta}</span>

                </span>
            </div>
        </div>
% endfor
    </div>

    <form method="POST" action="/BlogPost/Create" id="form-post-new">
        <textarea name="Content" id="post-content" style="width: 424px"
                  rows="6"></textarea>

        <div class="form-actions">
        <button type="submit" class="btn btn-primary" id="post-submit">Publicar novidade</button>
        </div>
    </form>
</div>  <!-- .span6.offset3 -->

<script>
$('#post-content').wysihtml5({
    'font-styles': false,
    'link': true,
    'lists': false,
    'html': false,
    'color': false
});

$('.post-delete').click(function (e) {
    var divComment = $(this).closest('div.comment');

    $.post(this.dataset.path, {}, function () {
        divComment.remove();
    });

    e.preventDefault();
    e.stopPropagation();
    return false;
});
</script>
