from Campus.Entity import Campus
from lawrence.base import EntityManager

class CampusManager (EntityManager):
	__entity__ = Campus

	def GetById(self, campusId):
		campusRow = self.DatabaseCursor.Single(
			'''SELECT Campus.Id AS Id,
					  Campus.Name,
					  Campus.Address AS address,
					  ExamCampus.Id AS `ExamCampus.Id`,
					  ExamCampus.Name AS `ExamCampus.Name`
			   FROM Campus
					LEFT OUTER JOIN ExamCampusMap
					  ON ExamCampusMap.CampusId = Campus.Id
					LEFT OUTER JOIN Campus AS ExamCampus
					  ON ExamCampusMap.ExamCampusId = ExamCampus.Id
			   WHERE Campus.Id = %s''', (campusId, ))
		campus = Campus(**campusRow)
		if campus.ExamCampus.Id is None:
			campus.ExamCampus = campus
		return campus

	def GetAll(self):
		return self.DatabaseCursor.Execute('SELECT Campus.Id, Campus.Name FROM Campus')

	def GetAuthorized(self):
		campusList = self.DatabaseCursor.Execute('''SELECT Campus.Id FROM Campus''')
		eligibleCampus = []
		for campus in campusList:
			if self.CurrentUser.HasPermission('/campus/%s/' % campus.Id, 'read'):
				eligibleCampus.append(campus.Id)
		return eligibleCampus

