<%inherit file="/View/Settings/_Base.mako" />
<%namespace file="/Campus/View/_Fields.mako" import="campus_address, campus_exam_campus, campus_name" />

${campus_name(campus)}

<div class="row-fluid">

<div class="span6">
    <h2 class="box-header">Exame de admissão</h2>
    <div class="box">

        <form class="form-horizontal">

        <div class="control-group">
            <label for="campus-exam-campus"
                   class="control-label">Unidade dos exames</label>
            <div class="controls">
                ${campus_exam_campus(campus)}
            </div>
        </div>

		<div class="control-group">
            <label for="campus-exam-date-time"
                   class="control-label">Horários</label>
            <div class="controls">
				% for row in examDateTimeList:
                	<p><button type="button" class="btn" data-exam-date-time="${row.ExamDateTime}"><i class="icon-remove"></i></button> <b>${row.Priority}:</b> ${row.ExamDateTime.date() | n,LongDay} de ${row.ExamDateTime.date() | n,LongMonth}, ${row.ExamDateTime.time() | n,time}</p>
				% endfor
            </div>
        </div>

        </form>
    </div>

	<h2 class="box-header">Adicionar horário de exame</h2>
    <div class="box">
        <form class="form-horizontal" method="POST" action="${campus.Path}ExamDateTime/">

		<div class="control-group">
            <label for="campus-priority"
                   class="control-label">Prioridade</label>
            <div class="controls">
				<input type="number" id="campus-priority" name="priority">
            </div>
        </div>

		<div class="control-group">
            <label for="campus-exam-date"
                   class="control-label">Data</label>
            <div class="controls">
				<input type="date" id="campus-exam-date" name="examDate" placeholder="dd/mm/aaaa">
            </div>
        </div>

		<div class="control-group">
            <label for="campus-exam-time"
                   class="control-label">Hora</label>
            <div class="controls">
				<input type="time" id="campus-exam-time" name="examTime" placeholder="hh:mm">
            </div>
        </div>

		<div class="form-actions">
			<button type="submit" class="btn btn-primary">Adicionar horário</button>
		</div>

        </form>
    </div>
</div> <!-- .span6 -->

<div class="span6">
    <h2 class="box-header">Localização</h2>
    <div class="box">
        <form class="form-horizontal">

        <div class="control-group">
            <label for="campus-address" class="control-label">Endereço</label>
            <div class="controls">
                ${campus_address(campus)}
            </div>
        </div>

        </form>

        <img src="${campus.Path | h}map/?size=386"
             class="img-polaroid" id="campus-map">
    </div>
</div> <!-- .span6 -->
</div> <!-- .row-fluid -->

<script>
	$('#campus-address').on('save', function () {
	   $('#campus-map').attr('src',
		   '${campus.Path | h}map/?size=476&_=' + new Date().getTime());
	});

	$('button[data-exam-date-time]').click(function () {
		var examDateTime = this.dataset.examDateTime;

		$.ajax({
			url: '${campus.Path | js}ExamDateTime/Delete/',
			type: 'POST',
			data: {examDateTime: examDateTime}
		}).success(function () {
			window.location.reload();
		});
	});
</script>
