<%inherit file="/View/Settings/_Base.mako" />

% for campus in Campus:
<p><a href="${campus.path | h}">${campus.name | h}</a></p>
% endfor


% if user.HasPermission('/campus/', 'admin'):
<div class="row-fluid">
    <button id="new-campus" class="btn">Nova unidade</button>
</div>
% endif

% if user.HasPermission('/campus/', 'admin'):
<div class="modal hide fade" id="new-campus-modal">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
        <h3>Nova Unidade</h3>
    </div>
    <div class="modal-body">
        <form action="/campus/create/" method="POST" class="form-horizontal" id="campus-new-form">
	        <div class="control-group">
	            <label class="control-label" for="campus-name">Nome</label>
	            <div class="controls">
	                <input type="text" name="Name" id="campus-name" required>
	            </div>
	            <label class="control-label" for="campus-name">Endereço</label>
	            <div class="controls">
	                <input type="text" name="Address" id="campus-address" required>
	            </div>
	        </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="submit" class="btn btn-primary" id="campus-new-submit">
            OK</button>
    </div>
</div>

<script>
$('#new-campus').click(function (e) {
    $('#new-campus-modal').modal('show');

    e.stopPropagation();
    e.preventDefault();
    return false;
});

$('#campus-new-submit').click(function () {
    $('#campus-new-form').submit();
});
</script>
% endif

