from lawrence.base import EntityManager

from Candidate.Entity.CandidateNegotiation import CandidateNegotiation

class CandidateNegotiationManager (EntityManager):
	__entity__ = CandidateNegotiation
	def GetById(self, candidateNegotiationId):
		assert isinstance(candidateNegotiationId, int)
		return CandidateNegotiation(**self.DatabaseCursor.Single('''
			SELECT SchoolClass.Id AS `SchoolClass.Id`,
				   SchoolClass.Name AS `SchoolClass.Name`,
				   ClassShift.name AS `shift.name`,
				   CandidateNegotiation.Id,
				   CandidateNegotiation.CandidateId,
				   CandidateNegotiation.LowerBound,
				   CandidateNegotiation.UpperBound,
					CandidateNegotiation.FullNumber
			FROM CandidateNegotiation
				 INNER JOIN SchoolClass
				   ON CandidateNegotiation.SchoolClassId = SchoolClass.Id
				 INNER JOIN ClassShift
				   ON SchoolClass.ShiftId = ClassShift.Id
			WHERE CandidateNegotiation.Id = %s''',
			(candidateNegotiationId, )))

	def Delete(self, candidateNegotiation):
		assert isinstance(candidateNegotiation, CandidateNegotiation)
		self.DatabaseCursor.Begin()
		self.DatabaseCursor.Execute('''
			DELETE FROM CandidateNegotiation
			WHERE Id = %s''',
			(candidateNegotiation.Id, ))
		self.DatabaseCursor.Commit()

