from Candidate.Business.CandidateManager import CandidateManager
from Candidate.Entity.CandidateQueue import CandidateQueue
from lawrence.base import EntityManager
# TODO: move these to ..Entity

# TODO: move these to ..Entity
from Candidate.Entity.Candidate import Candidate
from Candidate.Entity.CandidateFilter import CandidateFilter

class CandidateQueueManager (EntityManager):
	__entity__ = CandidateQueue

	def __init__(self, **kwargs):
		EntityManager.__init__(self, **kwargs)
		self.CandidateManager = CandidateManager(**kwargs)

	def GetAll(self):
		candidateQueueList = self.DatabaseCursor.Execute('''
														 SELECT Id FROM CandidateQueue''')  # FIXME: filter by campus
		return [self.GetById(candidateQueue.Id) for candidateQueue in candidateQueueList]

	def GetById(self, candidateQueueId):
		candidateQueue = self.DatabaseCursor.Single('''
			SELECT
				Id,
				Name
			FROM
				CandidateQueue
			WHERE
				Id = %s''',
			(candidateQueueId, ))
		candidateQueue.Filter = CandidateFilter(**{k: [v] if v is not None else None for k, v in list(self.DatabaseCursor.Single('''
			SELECT
				CourseId AS Course,
				SegmentId AS Segment,
				CampusId AS Campus,
				Status,
				AppointmentStatus,
				ExamDate,
				ExamTime,
				Tag
			FROM CandidateQueueFilter
			WHERE CandidateQueueId = %s''',
			(candidateQueueId, )).items())})
		candidateQueue.Filter.Page = None
		candidateQueue.Filter.SortOrder = None
		candidateQueue.Filter.Query = None
		return candidateQueue

	def GetFront(self, candidateQueue):
		candidateList = self.CandidateManager.Search(candidateFilter = candidateQueue.Filter, nextCallNow = True)
		try:
			candidateId = candidateList[0].Id
		except IndexError:
			raise ValueError
		self.DatabaseCursor.Begin()
		self.DatabaseCursor.Execute('''
			UPDATE Candidate
			SET next_call_time = DATE_ADD(NOW(), INTERVAL 10 MINUTE)
			WHERE Id = %s''',
			(candidateId, ))
		self.DatabaseCursor.Commit()
		return self.CandidateManager.GetById(candidateId)

	def GetSize(self, candidateQueue):
		candidateList = self.CandidateManager.Search(candidateFilter = candidateQueue.Filter)
		return len(candidateList)

	def Delete(self, candidateQueue):
		self.DatabaseCursor.Begin()
		self.DatabaseCursor.Execute('''
			DELETE FROM CandidateQueue
			WHERE Id = %s''',
			(candidateQueue.Id, ))
		self.DatabaseCursor.Commit()
