from Candidate.Entity.Candidate import Candidate
from User.Business.UserPermissionManager import UserPermissionManager
from User.Entity.UserPermission import UserPermission
from lawrence.HTTPStatus import Forbidden, SeeOther
from lawrence.base import Handler

class ImportCandidateENEM (Handler):
	__method__ = 'POST'
	__path__ = '/candidate/(?P<candidateId>[1-9][0-9]*)/enem/'

	def Handle(self, *,
			candidate: Candidate,
			cpf: str,
			password: str):
		if not self.GetManager(UserPermissionManager).HasPermission(
				self.CurrentUser,
				UserPermission(Group = 'Candidate', Permission = 'ImportGrades')):
			raise Forbidden()

		try:
			candidate.FetchEnemResult(cpf, password)
		except Candidate.InvalidLogin:
			raise SeeOther(candidate.path,
						   params = {'enem_error': 'invalid_login'})
		except Candidate.NetworkError:
			raise SeeOther(candidate.path,
						   params = {'enem_error': 'network_error'})
		raise SeeOther(candidate.path)