import datetime
from Candidate.Controller.Candidate import DBRow
from Candidate.Entity.Candidate import Candidate
from User.Business.UserPermissionManager import UserPermissionManager
from User.Entity.UserPermission import UserPermission
from lawrence import db as db
from lawrence.HTTPStatus import Forbidden, NoContent
from lawrence.base import Handler

class RatingNew (Handler):
	__method__ = 'POST'
	__path__ = '/candidate/(?P<candidateId>[1-9][0-9]*)/rating/=/new/'

	def Handle(self, *,
			candidate: Candidate,
			value: int):
		if not self.GetManager(UserPermissionManager).HasPermission(
				self.CurrentUser,
				UserPermission(Group = 'Candidate', Permission = 'PostRating')):
			raise Forbidden()

		self.RequirePermission(candidate.Campus.Path, 'read')

		if value == candidate.rating:
			raise NoContent()

		db.Execute(
			'''INSERT INTO CandidateRating (CandidateId, UserId, rating)
			   VALUES (%s, %s, %s)''',
			(candidate.Id,
			 self.CurrentUser.Id,
			 value))
		return self.RenderTemplate('Candidate/View/Candidate/_Fields:candidate_activity',
							 candidate,
							 DBRow(type = 'rating',
								   datetime = datetime.datetime.now(),
								   user = self.CurrentUser,
								   rating = value))