<%inherit file="/View/_Layout.mako" />
<%namespace file="/Candidate/View/Candidate/_Fields.mako"
    import="candidate_activities, candidate_status, candidate_course" />
<%namespace file="/View/_Editable.mako" import="editable" />
<%include file="/View/_Spinner.mako" />

<h2>${candidate.student_name | h}<%include file="/Candidate/View/Candidate/_Rating.mako" /></h2>

<div class="row-fluid">
    <div class="offset10 span2">
        <button id="new-negotiation" class="btn">Abrir negociação...</button>
    </div>
</div>

<div class="row-fluid">
% if candidate.discounts:
<% negotiation_columns = columns(2, candidate.discounts) %>
% for column in negotiation_columns:
<div class="span6">
    % for class_ in column:
	<h3 class="box-header">Negociação ${class_.name} ${class_.shift.name}</h3>
    <div class="box">
        % if Model.CanDeleteNegotiation:
        <a href="#" class="negotiation-delete pull-right"
           data-class="${class_.id}" style="margin-top: 5px;"><i class="icon-remove"></i></a>
        % endif
        <form class="form-horizontal">
            <div class="control-group">
                <label class="control-label">Meta de bolsa média</label>
                <div class="controls">
                    ${editable(None,
                               percentage()(class_.AverageDiscount))}
                </div>
            </div>

            <div class="control-group">
                <label class="control-label">Bolsa por mérito</label>
                <div class="controls">
                    ${editable(None,
                               percentage()(class_.merit_discount))}
                </div>
            </div>

            <div class="control-group">
                <label class="control-label">Bolsa aprovada</label>
                <div class="controls">
                    <input type="text" class="span3"
                           value="${class_.LowerBound | n,percentage()}"
                           pattern="R\$\s*([1-9][0-9]*|[1-9][0-9]{0,2}(\.[0-9]{3})*)(,[0-9]{2})?|([1-9]?(0(,0)?|2,5|5(,0)?|7,5))%|100(,0)?%"
                           name="LowerBound-${class_.id | h}"
                           data-monthly-payment="${class_.MonthlyPayment | h}"
                           data-max-discount="${class_.AverageDiscount | h}"
                           required>
                    &ensp;<span id="LowerBound-${class_.id | h}-payment">(${(Decimal('1') - (class_.LowerBound or Decimal('0'))) * class_.MonthlyPayment | n,money})</span>
                </div>
            </div>

            <div class="control-group">
                <label class="control-label">Bolsa pedida</label>
                <div class="controls">
                    <input type="text" class="span3"
                           value="${class_.UpperBound | n,percentage()}"
                           name="UpperBound-${class_.id | h}"
                           pattern="R\$\s*([1-9][0-9]*|[1-9][0-9]{0,2}(\.[0-9]{3})*)(,[0-9]{2})?|([1-9]?(0(,0)?|2,5|5(,0)?|7,5))%|100(,0)?%"
                           data-monthly-payment="${class_.MonthlyPayment | h}"
                           required>
% if class_.UpperBound is not None:
                    &ensp;<span id="UpperBound-${class_.id | h}-payment">(${(Decimal('1') - (class_.UpperBound or Decimal('1'))) * class_.MonthlyPayment | n,money})</span>
% else:
                    &ensp;<span id="UpperBound-${class_.id | h}-payment"></span>
% endif
                </div>
            </div>

            <div class="control-group">
                <label class="control-label">No. de parcelas integrais</label>
                <div class="controls">
                    <input type="text" class="span3"
                           value="${class_.FullNumber | n, int_()}"
                           name="FullNumber-${class_.id | h}"
                           pattern="[0-9]*"
                           required>
                </div>
            </div>
        </form>
    </div>
    % endfor
</div> <!-- .span6 -->
% endfor
% if Model.CanDeleteNegotiation:
<script>
$('.negotiation-delete').click(function (e) {
    var box = $(this).closest('.box');
    $.post('${candidate.path | js}class/' + this.dataset.class + '/delete/',
           {},
           function () {
               box.prev().remove();
               box.remove();
           });

    e.preventDefault();
    e.stopPropagation();
    return false;
});
</script>
% endif
% endif
</div> <!-- .row-fluid -->

<hr>

<div class="row-fluid">
<div class="span6">
    <h3 class="box-header">Dados do aluno</h3>
    
    <div class="box">
        <form class="form-horizontal">
        <div class="control-group">
            <label class="control-label" for="student-name">
                Nome</label>
            <div class="controls">
                ${editable('student_name',
                           candidate.student_name,
                           candidate.path,
                           disabled = not Model.CanEdit)}
            </div>
        </div>

% if candidate.BirthDate is not None:
        <div class="control-group">
            <label class="control-label">Data de nascimento</label>
            <div class="controls">
                <% import lawrence.util as util %>
                ${editable('BirthDate',
                           candidate.BirthDate,
                           candidate.path,
                           display = util.date_s,
                           disabled = not Model.CanEdit)}
                <% import lawrence.timeutil as timeutil %>
                <% from datetime import date %>
				(${candidate.BirthDate | n,AgeInYearsAndMonths})
            </div>
        </div>
% endif

        <div class="control-group">
            <label class="control-label" for="candidate-school">
                Colégio atual</label>
            <div class="controls">
                ${editable('school',
                           candidate.school,
                           candidate.path,
                           type = 'typeahead',
                           source = '/school/?json=typeahead',
                           disabled = not Model.CanEdit)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="candidate-campus">
                Unidade</label>
            <div class="controls">
                ${editable('campus',
                           candidate.Campus.Id,
                           candidate.path,
                           type = 'select',
                           source = candidate.path + 'valid-Campus/',
                           display = candidate.Campus.Name,
                           disabled = not Model.CanEdit)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="candidate-course">
                Campanha</label>
            <div class="controls">
                ${candidate_course(candidate)}
            </div>
        </div>

        </form>
    </div>

	<%namespace file="/Candidate/View/Candidate/_Grades.mako" import="candidate_grades" />
	${candidate_grades(candidate)}
</div> <!-- .span6 -->

<div class="span6">
	${candidate_activities(candidate)}
</div> <!-- .span6 -->

</div> <!-- .row-fluid -->

<script>
function toMoney(val) {
	var text = (Math.floor(val * 100 + 1e-5) * .01).toFixed(2).replace('.', ',');
	for (var i = text.length - 6; i > 0; i -= 3) {
		text = text.substring(0, i) + '.' + text.substring(i);
	}
	return 'R$\u00a0' + text;
}

function toPercentage(val) {
	return ((100.0 * val).toFixed(1).replace('.0', '').replace('.', ',') + '%');
}

function fromPercentage(val) {
	return parseFloat(val.replace('%', '').replace(',', '.')) * .01;
}

$('input[name^="LowerBound-"], input[name^="UpperBound-"]').focus(function () {
	this.oldDiscount = fromPercentage($(this).val());
});

$('input[name^="LowerBound-"], input[name^="UpperBound-"]').blur(function () {
    var spanPayment = $('#' + $(this).attr('name') + '-payment');
    if ($(this).attr('name').substring(0, 5) == 'Upper' && $(this).val() == '') {
        spanPayment.text('');
        return;
    }
	if ($(this).val().substring(0, 2) == 'R$') {
		var money = parseFloat($(this).val().substring(2).replace('.', '').replace(',', '.'));
		if (!isNaN(money) && this.dataset.monthlyPayment) {
			var discount = 1 - money / this.dataset.monthlyPayment;
			$(this).val(toPercentage(discount));
		}
	}
	var discount = fromPercentage($(this).val());
	if (isNaN(discount)) {
		discount = this.oldDiscount;
	}
	if (discount < 0) discount = 0.0;
	if (discount > 1) discount = 1.0;
	if ($(this).attr('name').substring(0, 5) == 'Lower') {
		discount = Math.floor(discount / ${config.DiscountStep | js} + 1e-5) * ${config.DiscountStep | js};
        var upperBound = fromPercentage($('input[name="Upper' + $(this).attr('name').substring(5) + '"]').val());
        if (isNaN(upperBound)) {
            upperBound = 1.0;
        }
		discount = Math.min(discount, upperBound);
	} else {
		discount = Math.ceil(discount / ${config.DiscountStep | js} - 1e-5) * ${config.DiscountStep | js};
		discount = Math.max(discount, fromPercentage($('input[name="Lower' + $(this).attr('name').substring(5) + '"]').val()));
	}
	if (this.dataset.maxDiscount) {
		if (discount > this.dataset.maxDiscount) {
			$(this).closest('.control-group').addClass('warning');
		} else {
			$(this).closest('.control-group').removeClass('warning');
		}
	}
	$(this).val(toPercentage(discount));

	var discountedPayment = this.dataset.monthlyPayment * (1 - fromPercentage($(this).val()));
	spanPayment.text('(' + toMoney(discountedPayment) + ')');
});
</script>

</form>

<div class="modal hide fade" id="new-negotiation-modal">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
        <h3>Abrir negociação...</h3>
    </div>
    <div class="modal-body">
        <form class="form-horizontal"
              id="new-negotiation-form">

        <div class="control-group">
            <label class="control-label" for="negotiation-class">Turma</label>
            <div class="controls">
                <select name="class" id="negotiation-class" required>
                </select>
            </div>
        </div>

        </form>
    </div>
    <div class="modal-footer">
        <button type="submit" class="btn btn-primary" id="new-negotiation-submit">
            OK</button>
    </div>
</div>

<script>
$('#new-negotiation').click(function (e) {
    $('#new-negotiation-modal').modal('show');

    $.getJSON('/SchoolClass/?json=select&CampusId=${candidate.Campus.Id | js}', function (data) {
        $('#negotiation-class').empty();
        $.each(data, function () {
            $('#negotiation-class').append($('<option></option>')
                                      .val(this.value)
                                      .text(this.text));
        });
    });

    e.stopPropagation();
    e.preventDefault();
    return false;
});

$('#new-negotiation-submit').click(function () {
    $.post('/candidate/${candidate.Id}/appointment/', {
            name: 'class',
            value: $('#negotiation-class').val()},
            function () {
                window.location.reload();});});
</script>

