<%inherit file="/View/_Layout.mako" />
<%include file="/View/_Spinner.mako" />

<h2>Questionário sócio-econômico</h2>

<h3>Status: ${status['status']}</h3><br>

<div class="row-fluid">
    <div class="span6">
    <form action="/candidate/${candidate.Id}/qse/" method="POST" id="qse-form" class="form-horizontal">

        <div class="control-group">
            <label class="control-label" for="AcademicPerformance">Desempenho acadêmico (0-100)</label>
            <div class="controls">
                <input type="text" name="AcademicPerformance" id="AcademicPerformance" 
                pattern="0*((\d{0,2})|(100))" oninvalid="setCustomValidity('Por favor, insira um número entre 0 e 100')"
                value="${qse.AcademicPerformance if qse is not None else '0' | n, int_()}" 
                required>
            </div>
        </div>
        
        <div class="control-group">

            <label class="control-label" for="CurrentMonthlyPayment">Valor da mensalidade atual</label>
            <div class="controls">
                <input type="text" name="CurrentMonthlyPayment" id="CurrentMonthlyPayment" 
                pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                value="${qse.CurrentMonthlyPayment if qse is not None else '0,00' | n, decimal(2)}" 
                required>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="IntendedMonthlyPayment">Valor da mensalidade pretendida</label>
            <div class="controls">
                <input type="text" name="IntendedMonthlyPayment" id="IntendedMonthlyPayment" 
                pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                value="${qse.IntendedMonthlyPayment if qse is not None else '0,00' | n, decimal(2)}" 
                required>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="IsFromApogeu">É aluno do Apogeu</label>
            <div class="controls">
                <select name="IsFromApogeu">
                    <option ${"selected" if (qse is None or qse.IsFromApogeu == "Sim") else ""} value="Sim">Sim</option>
                    <option ${"selected" if (qse is not None and qse.IsFromApogeu != "Sim") else ""} value="Não">Não</option>
                  </select>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="Schooling">Escolaridade</label>
            <div class="controls">
                <select name="Schooling">
                    <option ${"selected" if (qse is None or qse.Schooling == "Escola particular com bolsa integral") else ""} value="Escola particular com bolsa integral">Escola particular com bolsa integral</option>
                    <option ${"selected" if (qse is not None and qse.Schooling == "Escola particular com bolsa parcial") else ""} value="Escola particular com bolsa parcial">Escola particular com bolsa parcial</option>
                    <option ${"selected" if (qse is not None and qse.Schooling == "Escola particular sem bolsa") else ""} value="Escola particular sem bolsa">Escola particular sem bolsa</option>
                    <option ${"selected" if (qse is not None and qse.Schooling == "Escola pública") else ""} value="Escola pública">Escola pública</option>
                  </select>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="Housing">Condições de moradia</label>
            <div class="controls">
                <select name="Housing">
                    <option ${"selected" if (qse is None or qse.Housing == "Própria e quitada") else ""} value="Própria e quitada">Própria e quitada</option>
                    <option ${"selected" if (qse is not None and qse.Housing == "Própria em pagamento") else ""} value="Própria em pagamento">Própria em pagamento</option>
                    <option ${"selected" if (qse is not None and qse.Housing == "Alugada") else ""} value="Alugada">Alugada</option>
                    <option ${"selected" if (qse is not None and qse.Housing == "Herdeiros") else ""} value="Herdeiros">Herdeiros</option>
                  </select>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="HouseTax">Valor do condomínio</label>
            <div class="controls">
                <input type="text" name="HouseTax" id="HouseTax" 
                pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                value="${qse.HouseTax if qse is not None else '0,00' | n, decimal(2)}" 
                required>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="Rent">Aluguel ou prestação da casa</label>
            <div class="controls">
                <input type="text" name="Rent" id="Rent" 
                pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                value="${qse.Rent if qse is not None else '0,00' | n, decimal(2)}" 
                required>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="SecondHouseTax">Gastos com segunda moradia</label>
            <div class="controls">
                <input type="text" name="SecondHouseTax" id="SecondHouseTax" 
                pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                value="${qse.SecondHouseTax if qse is not None else '0,00' | n, decimal(2)}" 
                required>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="EducationalExpenses">Mensalidades de colégios, faculdades e cursos</label>
            <div class="controls">
                <input type="text" name="EducationalExpenses" id="EducationalExpenses" 
                pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                value="${qse.EducationalExpenses if qse is not None else '0,00' | n, decimal(2)}" 
                required>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="FoodExpenses">Gastos com alimentação</label>
            <div class="controls">
                <input type="text" name="FoodExpenses" id="FoodExpenses" 
                pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                value="${qse.FoodExpenses if qse is not None else '0,00' | n, decimal(2)}" 
                required>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="PhoneExpenses">Gastos com telefone</label>
            <div class="controls">
                <input type="text" name="PhoneExpenses" id="PhoneExpenses" 
                pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                value="${qse.PhoneExpenses if qse is not None else '0,00' | n, decimal(2)}" 
                required>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="WaterExpenses">Gastos com água</label>
            <div class="controls">
                <input type="text" name="WaterExpenses" id="WaterExpenses" 
                pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                value="${qse.WaterExpenses if qse is not None else '0,00' | n, decimal(2)}" 
                required>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="EnergyExpenses">Gastos com energia</label>
            <div class="controls">
                <input type="text" name="EnergyExpenses" id="EnergyExpenses" 
                pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                value="${qse.EnergyExpenses if qse is not None else '0,00' | n, decimal(2)}" 
                required>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="HealthExpenses">Plano de saúde e gastos médicos</label>
            <div class="controls">
                <input type="text" name="HealthExpenses" id="HealthExpenses" 
                pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                value="${qse.HealthExpenses if qse is not None else '0,00' | n, decimal(2)}" 
                required>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="TransportationExpenses">Gastos com transporte</label>
            <div class="controls">
                <input type="text" name="TransportationExpenses" id="TransportationExpenses" 
                pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                value="${qse.TransportationExpenses if qse is not None else '0,00' | n, decimal(2)}" 
                required>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="IPTU">IPTU (mensal)</label>
            <div class="controls">
                <input type="text" name="IPTU" id="IPTU" 
                pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                value="${qse.IPTU if qse is not None else '0,00' | n, decimal(2)}" 
                required>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="CreditCardExpenses">Gastos com cartão de crédito</label>
            <div class="controls">
                <input type="text" name="CreditCardExpenses" id="CreditCardExpenses" 
                pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                value="${qse.CreditCardExpenses if qse is not None else '0,00' | n, decimal(2)}" 
                required>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="ExtraExpenses">Outros gastos</label>
            <div class="controls">
                <input type="text" name="ExtraExpenses" id="ExtraExpenses" 
                pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                value="${qse.ExtraExpenses if qse is not None else '0,00' | n, decimal(2)}" 
                required>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="Pension">Valor recebido com pensão</label>
            <div class="controls">
                <input type="text" name="Pension" id="Pension" 
                pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                value="${qse.Pension if qse is not None else '0,00' | n, decimal(2)}" 
                required>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="BolsaFamilia">Valor recebido com Bolsa Família</label>
            <div class="controls">
                <input type="text" name="BolsaFamilia" id="BolsaFamilia" 
                pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                value="${qse.BolsaFamilia if qse is not None else '0,00' | n, decimal(2)}" 
                required>
            </div>
        </div>


        <div class="form-actions">
            <button type="submit" class="btn btn-primary" id="submit-qse-button">Submeter &raquo;</button>
        </div>
    </form>
    </div>
    <div class="span6">
<!--     <div class="description">
        <h3>Renda dos membros da família</h3>
        <h5>Preencha os dados de todos os membros e dependentes da família</h5>
    </div> -->
    % if len(familyIncome) > 0:
    % for familyMember in familyIncome:
    <div class="family-income">
        <form action="/candidate/${candidate.Id}/qse/family/" method="POST" class="form-horizontal family-income-form">
            <div class="control-group">
                <label class="control-label family" for="MemberName">Nome do familiar</label>
                <div class="controls controls-family">
                    <input type="text" name="MemberName" value="${familyMember.MemberName}" 
                    required>
                </div>
            </div>
            <div class="control-group">
                <label class="control-label family" for="Relation">Grau de parentesco</label>
                <div class="controls controls-family">
                    <input type="text" name="Relation" value="${familyMember.Relation}" 
                    required>
                </div>
            </div>
            <div class="control-group">
                <label class="control-label family" for="Income">Renda total</label>
                <div class="controls controls-family">
                    <input type="text" name="Income" 
                    pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')" value="${familyMember.Income | n, decimal(2)}" 
                    required>
                </div>
            </div>
            <div class="exclude-family-member">
                <a href="#" class="comment-delete muted"><i class="icon-trash"></i> Excluir</a>
            </div>
        </form>
    </div>
    % endfor
    % else:
    <div class="family-income">
        <form action="/candidate/${candidate.Id}/qse/family/" method="POST" class="form-horizontal family-income-form">
            <div class="control-group">
                <label class="control-label family" for="MemberName">Nome do familiar</label>
                <div class="controls controls-family">
                    <input type="text" name="MemberName" 
                    required>
                </div>
            </div>
            <div class="control-group">
                <label class="control-label family" for="Relation">Grau de parentesco</label>
                <div class="controls controls-family">
                    <input type="text" name="Relation" 
                    required>
                </div>
            </div>
            <div class="control-group">
                <label class="control-label family" for="Income">Renda total</label>
                <div class="controls controls-family">
                    <input type="text" name="Income" 
                    pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                    required value="0,00">
                </div>
            </div>
            <div class="exclude-family-member">
                <a href="#" class="comment-delete muted"><i class="icon-trash"></i> Excluir</a>
            </div>
        </form>
    </div>
    % endif
    <div class="btn btn-default" id='add-new-family-member'>Adicionar membro</div>
</div>
</div>

<style>
.family-income {
    border-radius: 5px;
    border: 2px solid #333;
    margin-left: 50px;
    padding-top: 20px;
    margin-bottom: 30px;
}
.family {
    width: 200px !important;
}
.controls-family {
    margin-left: 220px !important;
}
.exclude-family-member {
    margin-left: 210px;
}
#add-new-family-member {
    margin-left: 220px;
}
</style>
<script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.11.1/jquery.validate.min.js"></script>
<script>
(function (){
$('.control-label').css('width', '300px');
$('.controls').css('margin-left', '320px');
})();
$("#add-new-family-member").click(function() {
    var family_form = '<div class="family-income"><form action="/candidate/${candidate.Id}/qse/family/" method="POST" class="form-horizontal"><div class="control-group family-income-form"><label class="control-label family" for="MemberName">Nome do familiar</label><div class="controls controls-family"><input type="text" name="MemberName" required></div></div><div class="control-group"><label class="control-label family" for="Relation">Grau de parentesco</label><div class="controls controls-family"><input type="text" name="Relation" required></div></div><div class="control-group"><label class="control-label family" for="Income">Renda total</label><div class="controls controls-family"><input type="text" name="Income" pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')" required value="0,00"></div></div><div class="exclude-family-member"><a href="#" class="comment-delete muted"><i class="icon-trash"></i> Excluir</a></div></form></div>';
    $(family_form).insertBefore(this);
    $(".exclude-family-member").click(function() {
        $(this).parent().parent().remove();
    });
});

$(".exclude-family-member").click(function() {
    $(this).parent().parent().remove();
});

$(document).on('submit', '#qse-form', function(e) {
    $(this).validate();
    $(".family-income-form").validate();
    var valid_forms = $(this).valid();
    $(".family-income-form").each(function(){
        $(this).validate();
        valid_forms = valid_forms && $(this).valid();
    });

    if ($(this).valid()) {
         $.ajax({
            url: $(this).attr('action'),
            type: $(this).attr('method'),
            data: $(this).serialize(),
            success: function(html) {
                promises = [];
                $(".family-income-form").each(function(){
                    var form = $(this);
                    promises.push(
                        new Promise(function(resolve, reject){
                            form.submit(function(){
                                $.ajax({
                                    url: form.attr('action'),
                                    type: form.attr('method'),
                                    data: form.serialize(),
                                    success: function(){
                                        resolve("success");
                                    },
                                    error: function(){
                                        reject("error");
                                    }
                                });
                                return false;
                            });
                            form.submit();
                        })
                    );
                });
                Promise.all(promises).then(
                    function(data) {
                        window.location.href = "/candidate/${candidate.Id}/";
                    }
                );
            }
        });
        e.preventDefault();
    } else  {
        alert("Um ou mais campos foram preenchidos de forma incorreta. Por favor, verifique o preenchimento dos campos e tente novamente");
    }
});
</script>

