<%inherit file="/View/_Layout.mako" />
<%namespace file="/View/_Editable.mako" import="editable" />
<%namespace file="/Candidate/View/Candidate/_Fields.mako" import="candidate_course, candidate_status, candidate_activities" />
<%include file="/View/_Spinner.mako" />

<h2>${candidate.student_name | h}<%include file="/Candidate/View/Candidate/_Rating.mako" /></h2>

<div class="row-fluid">

<div class="span6">
    <h3 class="box-header">Dados do aluno</h3>

    <div class="box">
        <form class="form-horizontal">
        <div class="control-group">
            <label class="control-label" for="student-name">
                Nome</label>
            <div class="controls">
                ${editable('student_name',
                           candidate.student_name,
                           candidate.path,
                           disabled = not Model.CanEdit)}
            </div>
        </div>

% if candidate.BirthDate is not None:
        <div class="control-group">
            <label class="control-label">Data de nascimento</label>
            <div class="controls">
                ${editable('BirthDate',
                           candidate.BirthDate,
                           candidate.path,
                           display = date_s,
                           disabled = not Model.CanEdit)}
				(${candidate.BirthDate | n,AgeInYearsAndMonths})
            </div>
        </div>
% endif

        <div class="control-group">
            <label class="control-label" for="candidate-school">
                Colégio atual</label>
            <div class="controls">
                ${editable('school',
                           candidate.school,
                           candidate.path,
                           type = 'typeahead',
                           source = '/school/?json=typeahead',
                           disabled = not Model.CanEdit)}
            </div>
        </div>
        <div class="control-group">
        	<label class="control-label" for="candidate-district">
        		Bairro</label>
        	<div class="controls">
        		${editable('student_district',
                           candidate.DistrictName,
                           candidate.path,
                           disabled = True)}
        	</div>
        </div>
        <div class="control-group">
        	<label class="control-label" for="candidate-city">
        		Cidade - Estado</label>
        	<div class="controls">
        		${editable('student_city',
                           candidate.CityName,
                           candidate.path,
                           disabled = True)}
        	</div>
        </div>
        </form>
    </div>

    <h3 class="box-header">Detalhes da inscrição</h3>

    <div class="box">
        <form class="form-horizontal">

        <div class="control-group">
            <label class="control-label" for="candidate-campus">
                Número de inscrição</label>
            <div class="controls">
                ${editable('EncodedId',
                           str(candidate.EncodedId),
                           candidate.path,
                           disabled = True)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="candidate-campus">
                Unidade</label>
            <div class="controls">
                ${editable('campus',
                           str(candidate.Campus.Id),
                           candidate.path,
                           type = 'select',
                           source = candidate.path + 'valid-Campus/',
                           display = candidate.Campus.Name,
                           disabled = not Model.CanEdit)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="candidate-course">
                Campanha</label>
            <div class="controls">
                ${candidate_course(candidate)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="candidate-status">
                Situação</label>
            <div class="controls">
                ${candidate_status(candidate)}
            </div>
        </div>

        <script>
            $('input[data-url]').click(function () {
                $.post(this.dataset.url, {name: this.dataset.name,
                                          value: $(this).prop('checked')});
            });
        </script>

% if not candidate.grades and 'enem' not in candidate:
        <div class="control-group">
            <label class="control-label" for="candidate-exam-campus">
                Unidade do exame</label>
            <div class="controls">
				${editable('exam_campus',
                           str(candidate.ExamCampus.Id),
                           candidate.path,
                           display = candidate.ExamCampus.Name,
                           type = 'select',
                           source = '/campus/?ajax=1',
                           disabled = not Model.CanEdit)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="candidate-ExamDateTime">
                Data/hora do exame</label>
            <div class="controls">
                ${editable('ExamDateTime',
                           candidate.ExamDateTime,
                           candidate.path,
                           display = LongDateTime,
                           type = 'select',
                           source = candidate.path + 'valid-exam-datetimes/',
                           disabled = not Model.CanEdit)}
            </div>
        </div>
        </form>

% if candidate.status != 'cancelled':
		<div class="widget-actions">
			<a href="${candidate.path | h}registration/" class="btn btn-small">Re-enviar confirmação de inscrição</a>
		</div>
        <script>
        $('#send-enrollment-email').click(function (e) {
            $.ajax({
                url: '${candidate.path | js}send-enrollment-email/',
                type: 'POST',
            }).done(function (data, textStatus, jqXHR) {
                $('#send-enrollment-modal').modal('show');
            });
        });
        </script>
% endif
% else:
        </form>
% endif
    </div>
% if len(alt_grade_name) > 0:

  <h3 class="box-header">Notas em concursos anteriores</h3>

    <div class="box">
        <form class="form-horizontal">
            <div class="control-group">
                <label class="control-label" for="alt-grade-exam">
                    Nome do exame</label>
                <div class="controls">
                    ${editable('EncodedId',
                           alt_grade_name,
                           candidate.path,
                           disabled = True)}
                </div>
            </div>

            <label class="control-label" for="alt-grade">
                    Nota obtida</label>
                <div class="controls">
                  ${editable('EncodedId',
                           alt_grade,
                           candidate.path,
                           disabled = True)}    
                </div>
        </form>

    </div>
% endif
	<%namespace file="/Candidate/View/Candidate/_Grades.mako" import="candidate_grades" />
	${candidate_grades(candidate)}

	<%namespace file="/Candidate/View/Candidate/_Negotiations.mako" import="candidate_negotiations" />
	${candidate_negotiations(candidate)}
</div> <!-- .span6 -->

<div class="span6">
    <h3 class="box-header">Dados de contato</h3>

    <div class="box">
        <form class="form-horizontal">
        <div class="control-group">
            <label class="control-label" for="candidate-contact-name">
                Nome</label>
            <div class="controls">
                ${editable('contact_name',
                           candidate.contact_name,
                           candidate.path,
                           disabled = not Model.CanEdit)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="candidate-contact-email">
                Email</label>
            <div class="controls">
                ${editable('contact_email',
                           candidate.contact_email,
                           candidate.path,
                           disabled = not Model.CanEdit)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="candidate-contact-phone">
                Telefone</label>
            <div class="controls">
                ${editable('contact_phone',
                           None,
                           candidate.path,
                           type = 'multi_phone',
                           disabled = not Model.CanEdit,
                           placement = 'bottom')}
<script>
(function ($) {
 "use strict";

 var MultiPhone = function (options) {
 this.init('multi_phone', options, MultiPhone.defaults);
 };

 //inherit from Abstract input
 $.fn.editableutils.inherit(MultiPhone, $.fn.editabletypes.abstractinput);

 $.extend(MultiPhone.prototype, {
	 /**
	   Renders input from tpl

	   @method render()
	  **/
render: function() {
},

/**
  Default method to show value in element. Can be overwritten by display option.

  @method value2html(value, element)
 **/
value2html: function(value, element) {
if (!value) {
$(element).empty();
return;
}
 $(element).html(value.join('<br>'));  // FIXME: XSS
 },

 /**
   Converts value to string.
   It is used in internal comparing (not for sending to server).

   @method value2str(value)
  **/
value2str: function (value) {
			   return value.sort().join(', ');
		   },

		   /*
			  Converts string to value. Used for reading value from 'data-value' attribute.

			  @method str2value(str)
			*/
str2value: function (str) {
			   /*
				  this is mainly for parsing value defined in data-value attribute.
				  If you will always set value by javascript, no need to overwrite it
				*/
			   return str;
		   },

		   /**
			 Sets value of input.

			 @method value2input(value)
			 @param {mixed} value
			**/
value2input: function (value) {
	this.$tpl.empty();
	var $container = $('<div></div>')
		.addClass('editable-container')
		.css('width', '220px');
	this.$tpl.append($container);
	for (var i = 0; i < value.length; i++) {
		var $input = $('<input>')
			.attr('type', 'text')
			.attr('name', 'contact_phone')
			.attr('pattern', '\\(?0?x?x?[0-9]{2}\\)?( *[0-9]-?){8,9}')
			.val(value[i])
			.css('margin-bottom', '8px');
		$container.append($input);
	}
	var $input = $('<input>')
		.attr('type', 'text')
		.attr('name', 'contact_phone')
		.attr('pattern', '\\(?0?x?x?[0-9]{2}\\)?( *[0-9]-?){8,9}')
		.val('')
		.css('margin-bottom', '8px');
	$container.append($input);
	var $buttonAddMore = $('<button></button>')
		.addClass('btn btn-small')
		.attr('id', 'contact-phone-more')
		.css('margin-bottom', '8px')
		.text('Incluir mais telefones');
	this.$tpl.append($buttonAddMore);
},

			 /**
			   Returns value of input.

			   @method input2value()
			  **/
input2value: function() {
				$('[name="contact_phone"]').each(function () {
					if (!$(this).val()) $(this).remove();
				});
				 return $.makeArray($('[name="contact_phone"]').map(function (i, element) { return $(element).val(); }));
			 },

			 /**
			   Activates input: sets focus on the first field.

			   @method activate()
			  **/
activate: function() {
			  $('[name="contact_phone"]:first-child').focus();
		  },
});

$('body').on('click', '#contact-phone-more', function (e) {
    $(this).before($('[name=contact_phone]:last').clone().val(''));

    e.preventDefault();
    e.stopPropagation();
    return false;
});

MultiPhone.defaults = $.extend({}, $.fn.editabletypes.abstractinput.defaults, {
tpl: '<div></div>',

inputclass: ''
});

$.fn.editabletypes.multi_phone = MultiPhone;

}(window.jQuery));

$('.editable[data-name=contact_phone]').editable({
	value: [${u", ".join(u"'%s'" % js(phone(contact_phone)) for contact_phone in candidate.ContactPhones)}],
	send: 'always',
});
</script>
            </div>
        </div>
        </form>
    </div>


  <h3 class="box-header">Tentativas de contato</h3>

    <div class="box">
        <form class="form-horizontal" method="post" id="form-call-attempts"
              action="/candidate/${candidate.Id | h}/calls/">
            <div class="control-group">
                <label class="control-label" for="total-calls">
                    Ligações realizadas</label>
                <div class="controls">
                    <input class="span4" type="number" name="total"
                           id="total" required min="0"
                           value="${total_call_attempts}">
                </div>
            </div>

            <div class="control-group">
            <label class="control-label" for="successfull-calls">
                    Ligações atendidas</label>
                <div class="controls">
                    <input class="span4" type="number" name="successful"
                           id="successful" required min="0"
                           value="${successful_call_attempts}">
                </div>
            </div>
        </form>

            <div class="widget-actions">
                <button class="btn btn-small" onclick="$('#form-call-attempts').submit()">Atualizar</button>
            </div>

    </div>
% if qse:
     <h3 class="box-header">QSE</h3>

    <div class="box">
      <div class="control-group">
        <label class="control-label" style="cursor: default; font-size:16px;">Situação: <strong>${qse_status['status']}</strong></label>
        % if qse_status['status'] != 'Incompleto':
          <label class="control-label" style="cursor: default">Proposta projeto: <strong>${qse_status['project_monthly_payment']}</strong></label>
          % if qse_status['inconsistency'] != 'Deferido':
            <label class="control-label" style="cursor: default">Inconsistências: ${qse_status['inconsistency']}</label>
          % endif
          <label class="control-label" style="cursor: default">Proposta do pai: ${qse_status['intended_monthly_payment']}</label>
          <label class="control-label" style="cursor: default">É aluno do Apogeu: ${qse_status['is_from_apogeu']}</label>
          <label class="control-label" style="cursor: default">Desempenho acadêmico: ${qse_status['academic_performance']}</label>
          <label class="control-label" style="cursor: default">Renda per capta: ${qse_status['income_per_capta']}</label>
          <label class="control-label" style="cursor: default">Gastos: ${qse_status['expenses']}</label>
          % if qse_status['expenses'] != 'Deferido (não há gastos excessivos)':
            % for red_expense in qse_status['red_expenses']:
              <label class="control-label" style="cursor: default">${red_expense}</label>
            % endfor
          % endif
        % endif 
      </div>
      <div class="widget-actions">
          <button class="btn btn-small" id="generate-qse-link">Gerar link de envio</button></a>
          <a href="/candidate/${candidate.Id | h}/qse/"><button class="btn btn-small">Ver QSE completo</button></a>
      </div>
    </div>
    <script>
        $('#generate-qse-link').click(function () {
            window.prompt("Aperte Ctrl+C para copiar o link de envio", "${qse_link}");
        });
    </script>
% endif 
	${candidate_activities(candidate, showAppointmentButton = Model.CanCreateAppointment)}
</div>

</div> <!-- .row-fluid -->

</form>




