<%! title = u"" %>
<%inherit file="/Candidate/View/Candidate/QSE/StepTemplate.mako" />

<h1 align="center">Questionário sócio-econômico</h1> <br>

<div class="row-fluid">
<div class="center-block">
	<h3>Leia <strong>atentamente</strong> as instruções abaixo:</h3>
	<h5 align="justify">Preencha todos os campos abaixo com os valores correspondentes. Lembre-se que será necessário apresentar documentos para comprovação dos dados inseridos.</h5>
	<h5 align="justify">Preencha os campos para <strong>TODOS</strong> os integrantes da família, mesmo aqueles que não possuem renda e <strong>INCLUINDO O PRÓPRIO ALUNO</strong>. No caso em que o membro familiar não possua renda, no campo Renda Total, insira o valor 0 (zero).</h5>	
	<h5 align="justify">Caso tenha preenchido os campos Valor recebido com pensão ou Valor recebido com Bolsa Família, você NÃO deve levar em conta esses valores para o preenchimento da renda de um membro familiar.</h5>
	<h5 align="justify">Em caso de dúvidas, contate apogeu@colegioapogeu.com.br</h5>
	<br>
    % if len(familyIncome) > 0:
    % for familyMember in familyIncome:
    <div class="family-income">
        <form action="/candidate/${candidate.Id}/qse/family/" method="POST" class="form-horizontal family-income-form">
            <div class="control-group">
                <label class="control-label family" for="MemberName">Nome do familiar</label>
                <div class="controls controls-family">
                    <input type="text" name="MemberName" value="${familyMember.MemberName}" 
                    required>
                </div>
            </div>
            <div class="control-group">
                <label class="control-label family" for="Relation">Grau de parentesco</label>
                <div class="controls controls-family">
                    <input type="text" name="Relation" value="${familyMember.Relation}" 
                    required>
                </div>
            </div>
            <div class="control-group">
                <label class="control-label family" for="Income">Renda total</label>
                <div class="controls controls-family">
                    <input type="text" name="Income" 
                    pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')" value="${familyMember.Income | n, decimal(2)}" 
                    required>
                </div>
            </div>
            <input type="hidden" name="token" id="token" value="${token}">
            <div class="exclude-family-member">
                <a href="#" class="comment-delete muted"><i class="icon-trash"></i> Excluir</a>
            </div>
        </form>
    </div>
    % endfor
    % else:
    <div class="family-income">
        <form action="/candidate/${candidate.Id}/qse/family/" method="POST" class="form-horizontal family-income-form">
            <div class="control-group">
                <label class="control-label family" for="MemberName">Nome do familiar</label>
                <div class="controls controls-family">
                    <input type="text" name="MemberName" 
                    required>
                </div>
            </div>
            <div class="control-group">
                <label class="control-label family" for="Relation">Grau de parentesco</label>
                <div class="controls controls-family">
                    <input type="text" name="Relation" 
                    required>
                </div>
            </div>
            <div class="control-group">
                <label class="control-label family" for="Income">Renda total</label>
                <div class="controls controls-family">
                    <input type="text" name="Income" 
                    pattern="0*\d{0,5}(,\d{1,2})?" oninvalid="setCustomValidity('Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais')"
                    required value="0,00">
                </div>
            </div>
            <input type="hidden" name="token" id="token" value="${token}">
            <div class="exclude-family-member">
                <a href="#" class="comment-delete muted"><i class="icon-trash"></i> Excluir</a>
            </div>
        </form>
    </div>
    % endif
    <div class="btn btn-default" id='add-new-family-member'>Adicionar membro</div>
    <div class="form-actions">
        <button class="btn btn-default" id="back-button">Voltar</button>
        <button class="btn btn-primary" id="submit-button">Finalizar</button>
    </div>
</div>
</div>

<style>
.control-label{
    width: 300px !important;
    cursor: default;
}
.controls {
	margin-left: 320px !important;
}
.center-block {
	width: 600px;
	margin: auto;
}
.form-actions {
	padding-left: 210px;
}
.btn {
    margin-right: 20px;
}
.family-income {
    border-radius: 5px;
    border: 2px solid #333;
    padding-top: 20px;
    margin-bottom: 30px;
    padding-left: 50px;
}
.family {
    width: 200px !important;
}
.controls-family {
    margin-left: 220px !important;
}
.exclude-family-member {
    margin-left: 210px;
}
#add-new-family-member {
    margin-left: 220px;
}
</style>
<script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.11.1/jquery.validate.min.js"></script>
<script>
$("#add-new-family-member").click(function() {
    var family_form = '<div class="family-income"><form action="/candidate/${candidate.Id}/qse/family/" method="POST" class="form-horizontal family-income-form"><div class="control-group"><label class="control-label family" for="MemberName">Nome do familiar</label><div class="controls controls-family"><input type="text" name="MemberName" required></div></div><div class="control-group"><label class="control-label family" for="Relation">Grau de parentesco</label><div class="controls controls-family"><input type="text" name="Relation" required></div></div><div class="control-group"><label class="control-label family" for="Income">Renda total</label><div class="controls controls-family"><input type="text" name="Income" pattern="0*\\d{0,5}(,\\d{1,2})?" oninvalid="setCustomValidity(\'Por favor, insira o valor utilizando apenas números separados por vírgula, com duas casas decimais\')" required value="0,00"></div></div><input type="hidden" name="token" id="token" value="${token}"><div class="exclude-family-member"><a href="#" class="comment-delete muted"><i class="icon-trash"></i> Excluir</a></div></form></div>';
    $(family_form).insertBefore(this);
    $(".exclude-family-member").click(function() {
        $(this).parent().parent().remove();
    });
});

$(".exclude-family-member").click(function() {
    $(this).parent().parent().remove();
});

$("#back-button").click(function() {
  window.location.href = "/candidate/${candidate.Id}/qse/1/";
});

$( "#submit-button" ).click(function() {
    var valid_forms = true;
    $(".family-income-form").each(function(){
        $(this).validate();
        valid_forms = valid_forms && $(this).valid();
    });

    var data = {
        token: "${token}"
    }

     $.ajax({
        url: "/candidate/${candidate.Id}/qse/family/=/delete/",
        type: "POST",
        dataType: 'json',
        data: data,

        success: function(html) {
            promises = [];
            $(".family-income-form").each(function(){
                var form = $(this);
                promises.push(
                    new Promise(function(resolve, reject){
                        form.submit(function(){
                            $.ajax({
                                url: form.attr('action'),
                                type: form.attr('method'),
                                data: form.serialize(),
                                success: function(){
                                    resolve("success");
                                },
                                error: function(){
                                    reject("error");
                                }
                            });
                            return false;
                        });
                        form.submit();
                    })
                );
            });
            Promise.all(promises).then(
                function(data) {
                    window.location.href = "/candidate/${candidate.Id}/qse/success/";
                }
            );
            }
        });
});
</script>

