<%! title = u"Telefone de contato" %>
<%inherit file="/Candidate/View/Candidate/Registration/StepTemplate.mako" />

<form action="" method="POST" class="form-horizontal" id="fix-phone-form">

<p>Nós não conseguimos entrar em contato com você por telefone, e portanto a
sua inscrição no ${config.candidate_process_name} do ${config.short_name | h} foi <b>cancelada</b>.</p>

<p>Para reativá-la, corrija seus números de telefone logo abaixo, ou forneça
outros números de telefone. Se você ainda assim tiver dificuldades, ligue para a
nossa central de atendimento, no número ${config.contact_phone | phone}.</p>

<div class="control-group">
    <label class="control-label">Telefones de contato</label>
    <div class="controls">
        % for contact_phone in candidate.ContactPhones:
        <input type="text" name="contact_phone" required
               pattern="(\(?0?x?x?[0-9]{2}\)?)?( *[0-9]-?){8,9}"
               value="${contact_phone | phone}"
               style="margin-bottom: 8px">
        % endfor
        <a href="#" class="btn btn-small" id="contact-phone-more"
                style="margin-bottom: 8px">Incluir mais telefones</a>
        <p class="help-block">Inclua o seu DDD, por exemplo: ${config.contact_phone | phone}.</p>
    </div>
</div>

<div class="form-actions">
    <button type="submit" class="btn btn-primary" id="fix-phone-button">Alterar telefones</button>
</div>

</form>

<script>
$('#contact-phone-more').click(function (e) {
    $(this).before($('[name=contact_phone]:last').clone().val(''));

    e.preventDefault();
    e.stopPropagation();
    return false;
});

$('#fix-phone-button').click(function () {
    $('[name=contact_phone]').each(function () {
        if (!$(this).val() && $('[name=contact_phone]').length > 1) $(this).remove();
    });
});
</script>
