<%! title = u"Dados de contato" %>
<%inherit file="/Candidate/View/Candidate/Registration/StepTemplate.mako" />

<form action="/candidate/=/registration/" method="POST" class="form-horizontal">

<p>Indique abaixo uma pessoa para contato sobre esta inscrição.</p>

<div class="control-group">
    <label class="control-label" for="student-name">Nome do aluno</label>
    <div class="controls">
        <input type="text" name="student_name" id="student-name" required>
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="birth-date">Data de nascimento</label>
    <div class="controls">
                <input type="text" name="BirthDate" id="birth-date" pattern="^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$" Title=" Informe uma data no padrão dd/mm/aaaa e maior que 01/01/1900" placeholder="dd/mm/aaaa" required>
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="contact-name">Nome do responsável</label>
    <div class="controls">
        <input type="text" name="contact_name" id="contact-name" required>
        <p class="help-block">(pode ser o próprio aluno)</p>
    </div>
</div>

<div class="control-group">
    <label class="control-label">Telefones de contato</label>
    <div class="controls">
        <input type="text" name="contact_phone" required
               pattern="\(?0?x?x?[0-9]{2}\)?( *[0-9]-?){8,9}"
               style="margin-bottom: 8px">
        <a href="#" class="btn btn-small" id="contact-phone-more"
                style="margin-bottom: 8px">Incluir mais telefones</a>
        <p class="help-block">Inclua o DDD (por exemplo: ${config.contact_phone | phone}).</p>
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="contact-email">Email de contato</label>
    <div class="controls">
        <input type="email" name="contact_email" id="contact-email" required>
		<p class="help-block">Se você não tiver email, entre em contato com a
			nossa central: ${config.contact_phone | phone}.</p>
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="student-city">Cidade atual</label>
	<div class="controls">
		<input type="text" name="CityName" id="student-city" required>
	</div>
</div>

<div class="control-group">
    <label class="control-label" for="student-district">Bairro atual</label>
	<div class="controls">
		<input type="text" name="DistrictName" id="student-district" required>
	</div>
</div>

<div class="control-group">
    <label class="control-label" for="student-school">Colégio atual</label>
	<div class="controls">
		<input type="text" name="school" id="student-school" required>
	</div>
</div>

<input type="hidden" name="course" id="course" value="${course}">

<div class="form-actions">
    <button type="submit" class="btn btn-primary" id="registration-button">avançar &raquo;</button>
</div>

</form>

<script>
$('#contact-phone-more').click(function (e) {
    $(this).before($('[name=contact_phone]:last').clone().val(''));

    e.preventDefault();
    e.stopPropagation();
    return false;
});

$('#registration-button').click(function () {
    $('[name=contact_phone]').each(function () {
        if (!$(this).val() && $('[name=contact_phone]').length > 1) $(this).remove();
    });
});

$(function () {
    /**
     * @return {string}
     */
    function NormalizeForMatch(inputString) {
		var result = inputString.toLowerCase();
		result = result.replace(/[áâã]/, 'a');
		result = result.replace(/[ç]/, 'c');
		result = result.replace(/[éê]/, 'e');
		result = result.replace(/[í]/, 'i');
		result = result.replace(/[óôõ]/, 'o');
		result = result.replace(/[úü]/, 'u');
		return result;
	}

    $('#student-school').typeahead({
        source: [
% for school in schools:
			'${school.name | js}',
% endfor
        ],
    });

    $('#student-city').typeahead({
        source: <%include file="/Candidate/View/Candidate/Registration/CityList.json" />,
		matcher: function (item) {
			return NormalizeForMatch(item).indexOf(NormalizeForMatch(this.query)) !== -1;
		},
    });
});
</script>

