<%! title = u"Forma de ingresso" %>
<%inherit file="/Candidate/View/Candidate/Registration/StepTemplate.mako" />

% if examDateTimeList:
<h3>Exame de admissão</h3>
<form action="" method="POST" class="form-horizontal">

<p>Qual é o seu melhor horário para a realização do exame de admissão?</p>

% for examDateTime in examDateTimeList:
<label class="radio">
	<input type="radio" name="ExamDateTime" value="${examDateTime | h}"
		   required checked>
	${examDateTime.date() | n,LongDay} de ${examDateTime.date() | n,LongMonth}, ${examDateTime.time() | n,time}</label>
% endfor
<button type="submit" class="btn btn-primary pull-right" style="margin-bottom: 16px;">concluir &raquo;</button>
<br clear="both">

</form>
% endif

% if candidate.Course.IsENEMEligible:
<h3>Resultado do ENEM</h3>
<form action="" method="POST" class="form-horizontal">

% if getattr(FormData, 'enem_error', None):
<div class="alert alert-error" id="alert-enem">

<i class="icon-remove icon-3x pull-right"></i>

% if form.enem_error == 'invalid_login':
<p>O CPF ou senha fornecidos não correspondem a uma inscrição do ENEM.</p>
% elif form.enem_error == 'network_error':
<p>Não conseguimos conectar com o site do INEP; por favor, tente mais tarde.</p>
% else:
% endif
</div>
% endif

<p>Você também pode usar o seu resultado no ENEM para ingressar no ${config.short_name}: preencha os dados abaixo.</p>

<div class="control-group">
	<label class="control-label">CPF</label>
	<div class="controls">
		<input type="text" name="enem_cpf" value="" class="span2" pattern="[0-9]{3}\.?[0-9]{3}\.?[0-9]{3}-?[0-9]{2}" required>
	</div>
</div>

<div class="control-group">
	<label class="control-label">Senha do ENEM</label>
	<div class="controls">
		<input type="password" name="enem_password" value="" class="span2" required>
		<p class="help-block">Seu CPF e senha do ENEM são usados apenas para obter suas notas junto ao INEP.</p>
	</div>
</div>

<button type="submit" class="btn btn-primary pull-right" style="margin-bottom: 16px;">concluir &raquo;</button>

</form>
% endif
</div>

<!-- Facebook Conversion Code for LEAD 2015 -->
<script>(function() {
  var _fbq = window._fbq || (window._fbq = []);
  if (!_fbq.loaded) {
    var fbds = document.createElement('script');
    fbds.async = true;
    fbds.src = '//connect.facebook.net/en_US/fbds.js';
    var s = document.getElementsByTagName('script')[0];
    s.parentNode.insertBefore(fbds, s);
    _fbq.loaded = true;
  }
})();
window._fbq = window._fbq || [];
window._fbq.push(['track', '6018845897115', {'value':'0.00','currency':'BRL'}]);
</script>
<noscript><img height="1" width="1" alt="" style="display:none" src="https://www.facebook.com/tr?ev=6018845897115&amp;cd[value]=0.00&amp;cd[currency]=BRL&amp;noscript=1" /></noscript>
