# encoding: utf-8
<%!
current_step = maximum_step = None
import lawrence.config as config
title = u"Inscrição concluída!"
%>
<%inherit file="/Candidate/View/Candidate/Registration/StepTemplate.mako" />

% if candidate.ExamDateTime:
<p>Obrigado por se inscrever no ${config.candidate_process_name | h} ${config.short_name | h}! Em breve você receberá um email confirmando os detalhes da sua inscrição.</p>

<p>Você fará o ${config.candidate_process_name | h}
no dia ${candidate.ExamDateTime.date() | n,LongDay} de
${candidate.ExamDateTime.date() | n,LongMonth}, às
${candidate.ExamDateTime.time() | n,time},
no endereço abaixo:</p>

<blockquote>
	<h3 class="box-header">${config.short_name | h} ${candidate.ExamCampus.Name | h}</h3>
	${candidate.ExamCampus.address | n,br}
</blockquote>

<p><a href="/campus/${candidate.ExamCampus.Id | h}/google-maps/"><img src="/campus/${candidate.ExamCampus.Id | h}/map/?size=375" class="img-polaroid" id="exam-campus-map"></a></p>

<h3>Informações do candidato</h3>

<form class="form-horizontal">
<div class="control-group">
	<label class="control-label">Nome do candidato</label>
	<div class="controls">
		<a href="#" class="editable" data-disabled="true">
		${candidate.student_name}</a>
	</div>
</div>

<div class="control-group">
	<label class="control-label">Turma em 2018</label>
	<div class="controls">
		<a href="#" class="editable" data-disabled="true">
		${candidate.Course.Name}</a>
	</div>
</div>

<div class="control-group">
	<label class="control-label">Unidade em 2018</label>
	<div class="controls">
		<a href="#" class="editable" data-disabled="true">
		${candidate.Campus.Name}</a>
	</div>
</div>


</form>

% if candidate.Campus.Name == "POUSO ALEGRE":

<p>Se você tiver alguma dúvida ou alguma informação acima estiver errada, ligue para
nossa central de atendimento:(35) 3421-2714. Lembre-se:</p>

% else:

<p>Se você tiver alguma dúvida ou alguma informação acima estiver errada, ligue para
nossa central de atendimento: ${config.contact_phone | phone}. Lembre-se:</p>
% endif
<blockquote>
	<ul>
		<li>O candidato deverá apresentar-se no local de realização da prova 30 minutos antes do seu início e somente poderá utilizar caneta esferográfica de tinta azul ou preta, lápis e borracha.</li>
		<li>O candidato que comparecer em local diferente daquele onde deverá realizar sua prova deverá entrar em contato IMEDIATAMENTE com a Comissão Permanente de Exame de Admissão [através do telefone (32) 3239-3300], sujeito a não participar do Exame de Admissão.</li>
		<li>O candidato deverá portar consigo um documento de identificação oficial.</li>
	</ul>
</blockquote>

% else:
<p>Obrigado pelo interesse no ${candidate.Course.Name} ${config.short_name | h}! Em breve entraremos em contato para agendamento de uma entrevista
individual e prestação de maiores informações sobre a turma de seu
interesse.</p>

<h3>Informações do aluno</h3>

<form class="form-horizontal">
<div class="control-group">
	<label class="control-label">Nome do aluno</label>
	<div class="controls">
		<a href="#" class="editable" data-disabled="true">
		${candidate.student_name}</a>
	</div>
</div>

<div class="control-group">
	<label class="control-label">Turma em 2018</label>
	<div class="controls">
		<a href="#" class="editable" data-disabled="true">
		${candidate.Course.Name}</a>
	</div>
</div>

<div class="control-group">
	<label class="control-label">Unidade em 2018</label>
	<div class="controls">
		<a href="#" class="editable" data-disabled="true">
		${candidate.Campus.Name}</a>
	</div>
</div>
</form>

<p>Se você tiver alguma dúvida ou alguma informação acima estiver errada, ligue para
nossa central de atendimento: ${config.contact_phone | phone}.</p>
% endif

% if candidate.ExamDateTime:
<button class="btn btn-primary" id="candidate-print">Imprimir confirmação</button>
% endif
<a href="${config.contact_url | h}" class="btn pull-right print-hide">Voltar à página do ${config.short_name | h}</a>

<script>
$('#candidate-print').click(function () {
	window.print();
});
</script>
