<%def name="postpone(candidate, callback)">

<a id="postpone-call"
   class="btn quick-btn span2">
	<i class="icon-phone"></i>
	<span class="quick-btn-title">Ligar mais tarde</span>
</a>
<div style="display: none" id="postpone-call-popover">
	<div class="postpone-call-date"></div>
	<hr>
	<div class="row-fluid">
		<a class="btn span6 postpone-call-button"
		   data-hours="1"
		   style="margin-bottom: 8px;">1 hora</a>
		<a class="btn span6 postpone-call-button"
		   data-hours="4"
		   style="margin-bottom: 8px;">4 horas</a>
	</div>
</div>
<script>
$('#postpone-call').popover({
	html: true,
	content: $('#postpone-call-popover').html(),
	placement: 'top',
});

$('#postpone-call').on('shown', function () {
	var self = this;

	$('.postpone-call-date').datepicker({
		value: '+0d',
		startDate: '+1d',
	}).on('changeDate', function (e) {
		var today = new Date();
		var hours = Math.round((e.date - today) / (60 * 60 * 1000)) + 6;
		var $content = $(self).data('popover').$tip.find('.popover-content');
		var $loading = $('<div class="editableform-loading"></div>');
		$loading.width($content.width());
		$loading.height($content.height());
		$content.empty().append($loading);
		
		$.post('/candidate/${candidate.Id | n,js}/postpone/',
			   {hours: hours},
			   function () { document.location.href = '${callback | js}'; });
	});
	$('#postpone-call').popover('updatePlacement');
});

$('body').on('click', '.postpone-call-button', function (e) {
	$.post('/candidate/${candidate.Id | n,js}/postpone/',
		   {hours: this.dataset.hours},
		   function () { document.location.href = '${callback | js}'; });

	e.stopPropagation();
	e.preventDefault();
	return false;
});
</script>
</%def>

<%def name="cancel(candidate, callback)">
<a id="cancel-candidate"
   class="btn quick-btn span2 btn-red"
   title="O cancelamento de uma inscrição é definitivo!">
	<i class="icon-trash"></i>
	<span class="quick-btn-title">Cancelar inscrição</span>
</a>
<script>
$('#cancel-candidate').click(function () {
    $.post('/candidate/${candidate.Id | n,js}/',
           {name: 'status', value: 'cancelled'},
           function () { document.location.href = '${callback | js}' });
}).tooltip();
</script>
</%def>

<%def name="drop(candidate, callback)">
<a id="drop-candidate"
   class="btn quick-btn span2">
	<i class="icon-remove"></i>
	<span class="quick-btn-title">Marcar como desistente</span>
</a>
<script>
$('#drop-candidate').click(function () {
    $.post('/candidate/${candidate.Id | n,js}/',
           {name: 'status', value: 'dropped'},
           function () { document.location.href = '${callback | js}' });
}).tooltip();
</script>
</%def>

<%def name="confirm(candidate, callback)">
<a id="confirm-candidate"
   class="btn quick-btn span2 btn-blue">
	<i class="icon-check"></i>
	<span class="quick-btn-title">Confirmar inscrição</span>
</a>
<script>
$('#confirm-candidate').click(function () {
    $.post('/candidate/${candidate.Id | n,js}/',
           {name: 'status', value: 'confirmed'},
           function () { document.location.href = '${callback | js}' });
});
</script>
</%def>

<%def name="reschedule_exam(candidate, callback, ExamDateTimes)">
<a id="candidate-reschedule-exam"
   class="btn quick-btn span2">
	<i class="icon-mail-forward"></i>
	<span class="quick-btn-title">Alterar data do exame</span>
</a>
<div style="display: none" id="candidate-reschedule-exam-popover">
	<div style="height: 106px; overflow-y: scroll;">
% for ExamDateTime in ExamDateTimes:
	<a class="btn input-block-level reschedule-exam-datetime"
	   data-exam-datetime="${ExamDateTime | h}"
	   style="margin-bottom: 8px;">
		${ExamDateTime | n,LongDay} de
		${ExamDateTime | n,LongMonth},
		${ExamDateTime | n,time}</a>
% endfor
	</div>
</div>

<script>
$('#candidate-reschedule-exam').popover({
    html: true,
    content: $('#candidate-reschedule-exam-popover').html(),
});

$('body').on('click', '.reschedule-exam-datetime', function () {
    $.post('/candidate/${candidate.Id | n,js}/',
           {name: 'ExamDateTime', value: this.dataset.examDatetime},
           function () {
    $.post('/candidate/${candidate.Id | n,js}/',
           {name: 'status', value: 'unconfirmed'},
           function () { document.location.href = '${callback | js}' });
    });
});
</script>
</%def>

<%def name="appointment(candidate, callback = None, size = 'quick')">
% if size == 'quick':
<a id="candidate-appointment-button"
   class="btn quick-btn span2 btn-blue">
	<i class="icon-calendar"></i>
	<span class="quick-btn-title">Agendar atendimento...</span>
</a>
% elif size == 'small':
<a id="candidate-appointment-button" class="btn btn-small">Agendar atendimento...</a>
% endif

<% import datetime %>
<div id="candidate-appointment-popover" style="display: none">
	<div class="row-fluid span12" style="width: 400px !important">
		<div class="span7" style="border-right: 1px #EEE solid">
			<div class="candidate-appointment-date"></div>
		</div>
		<div class="span5">
			<div class="candidate-appointment-time">
			</div>
		</div>
	</div>
	<br clear="both">
</div>

<style>
.timepicker td {
	width: 45px;
	padding: 4px 5px;
	border-radius: 4px;
	cursor: pointer;
	text-align: center;
}

.timepicker td > span {
	display: block;
	width: auto;
	margin: -4px -5px;
	padding: 4px 5px;
}

.timepicker td.highlight > span {
	padding: 3px 4px;
	border: 1px rgb(238, 161, 35) solid;
	border-radius: 4px;
}

.timepicker td.highlight.active > span {
	padding: 4px 5px;
	border: none;
}

.timepicker td:hover {
	background-color: #EEE;
}

.timepicker td.active {
	background-color: rgb(54, 144, 230);
	color: #FFF;
}

.timepicker td.disabled {
	background-color: transparent;
	color: #EEE;
}

.timepicker td.disabled:hover {
	color: #999;
	cursor: default;
}

#candidate-appointment-button + .popover {
	max-width: none;
}
</style>

<script>
$('#candidate-appointment-button').popover({
    html: true,
    content: $('#candidate-appointment-popover').html(),
    placement: 'top',
});

function pad(n) { return n < 10 ? '0' + n : n; };
/**
 * @return {string}
 */
function ISOString(d) {
    return d.getUTCFullYear() + '-' +
           pad(d.getUTCMonth() + 1) + '-' +
           pad(d.getUTCDate());
}

function updateTimePicker() {
	var spinner = CreateSpinner($('.popover-content .candidate-appointment-time'));
	$.get('${candidate.path | js}appointment/=/valid-time/',
		{date: ISOString($(this).datepicker('getDate'))},
		function (data) {
	        DestroySpinner(spinner);
			$('.popover-content .candidate-appointment-time').html(data);
			$('.timepicker td').click(function () {
				if ($(this).hasClass('disabled')) {
					return false;
				}

				$(this).closest('.timepicker').find('td').removeClass('active');
				$(this).addClass('active');
				var date_ = ISOString($('.popover-content .candidate-appointment-date').datepicker('getDate'));
				var time_ = this.dataset.value;
				var element = this;
				var spinner = CreateSpinner($(element).closest('.timepicker'));
				$.get('/candidate/${candidate.Id | js}/appointment/check/',
				   	{date: date_,
					time: time_},
				   	function (data) {
				   		DestroySpinner(spinner);
						if (JSON.parse(data)['count'] > 0) {
					   		var confirmed = confirm("Já existe um atendimento agendado para este horário. Deseja continuar?");
						   	if (!confirmed) {
						   		$('#candidate-appointment-button').popover('hide');
								% if callback is not None:
							   		window.location.href = '${callback | js}';
								% endif
								return;
							}
					   	}
					   	spinner = CreateSpinner($('.popover-content .candidate-appointment-time'));
						$.post('/candidate/${candidate.Id | js}/appointment/=/new/',
						   	{date: date_,
							time: time_},
						   	function (data) {
						   		DestroySpinner(spinner);
							   	$('.widget-users-activity .widget-actions').before(data);
							   	$('#candidate-appointment-button').popover('hide');
								% if callback is not None:
							   		window.location.href = '${callback | js}';
								% endif
							}
						);
					}
				);
			});
			$('.timepicker td.highlight span').tooltip();
			$('#candidate-appointment-button').popover('updatePlacement');
		}
	);
}

$('#candidate-appointment-button').on('shown', function () {
    $('.popover-content .candidate-appointment-date').datepicker({
		value: '+1d',
		dateFormat: 'd/M',
		daysOfWeekDisabled: [0],
		startDate: new Date(),
	}).on('changeDate', updateTimePicker);

	updateTimePicker();

	$('#candidate-appointment-button').popover('updatePlacement');
});
</script>
</%def>



<%def name="comment(candidate, callback = None, size = 'quick')">
% if size == 'quick':
	<% raise NotImplementedError() %>
% elif size == 'small':
	<a id="comment-new-button" class="btn btn-small"
			   data-placement="bottom">Escrever comentário…</a>
% endif
	<div id="comment-new-popover" style="display: none">
		<textarea rows="1" class="comment-new-textarea"></textarea>
	</div>
	<script>
		var createCommentButton = document.getElementById('comment-new-button');
		$(createCommentButton).popover({
			html: true,
			content: $('#comment-new-popover').html(),
		});

		$(createCommentButton).click(function () {
			$('.popover-content > .comment-new-textarea').focus();
		});

		$('body').on('keypress', '.comment-new-textarea', function (e) {
			if (!e.shiftKey && e.which == 13) {
				var spinner = CreateSpinner(this);
				$.post('/candidate/${candidate.Id | js}/comment/=/new/',
					   {value: this.value},
					   function (data) {
						   DestroySpinner(spinner);
						   $('.widget-users-activity .widget-actions').before(data);
						   $('.comment-delete').click(function (e) {
							    var comment = $(this).closest('.activity');
							    $.post('${candidate.path | js}comment/=/delete/',
							           {comment_content: this.id}, function () {
							        comment.remove();
							    });

							    e.preventDefault();
							    e.stopPropagation();
							    return false;
							});
						   $(createCommentButton).popover('hide');
				});

				e.stopPropagation();
				e.preventDefault();
				return false;
			}
		});
	</script>
</%def>


<%def name="CreateAlarm(candidate, size = 'quick')">
% if size == 'quick':
	<% raise NotImplementedError() %>
% elif size == 'small':
	<a id="CreateAlarmButton" class="btn btn-small"
			   data-placement="bottom">Criar alarme…</a>
% endif
	<div id="CreateAlarmPopover" style="display: none">
		<div class="row-fluid span12" style="width: 400px !important">
			<div class="span7" style="border-right: 1px #EEE solid">
				<div class="AlarmScheduledDate"></div>
			</div>
			<div class="span5">
			</div>
		</div>
		<br clear="both">
		<textarea rows="1" class="AlarmContent"></textarea>
	</div>
	<script>
		function pad(n) { return n < 10 ? '0' + n : n; }
		/**
		 * @return {string}
		 */
		function ISOString(d) {
			return d.getUTCFullYear() + '-' +
				   pad(d.getUTCMonth() + 1) + '-' +
				   pad(d.getUTCDate());
		}

		var CreateAlarmButton = document.getElementById('CreateAlarmButton');
		var CreateAlarmPopover = document.getElementById('CreateAlarmPopover');

		var alarmDatePicker = null;

		$(CreateAlarmButton).on('shown', function () {
			alarmDatePicker = $('.popover-content .AlarmScheduledDate').datepicker({
				value: '+1d',
				dateFormat: 'd/M',
				daysOfWeekDisabled: [0],
				startDate: new Date(Date.now() + 24 * 60 * 60 * 1000)
			}).data('datepicker');

			$(CreateAlarmButton).popover('updatePlacement');
		});

		$(CreateAlarmButton).popover({
			html: true,
			content: $(CreateAlarmPopover).html()});

		$(CreateAlarmButton).click(function () {
			$('.popover-content > .AlarmContent').focus();
		});

		$('body').on('keypress', '.AlarmContent', function (e) {
			if (!e.shiftKey && e.which == 13) {
				var spinner = CreateSpinner(this);
				$.post(
					'/Candidate/Alarm/Create', {
						candidateId: ${candidate.Id | js},
						scheduledDate: ISOString(new Date(alarmDatePicker.date.valueOf())),
						content: this.value},
					   function (data) {
						   DestroySpinner(spinner);
						   $('.widget-users-activity .widget-actions').before(data);
						   $(CreateAlarmButton).popover('hide');
				});

				e.stopPropagation();
				e.preventDefault();
				return false;
			}
		});
	</script>
</%def>
