# coding=utf-8
<%namespace name="actions" file="/Candidate/View/Candidate/_Actions.mako" />

<%namespace file="/View/_Editable.mako" import="editable" />
<%def name="candidate_course(candidate)">
<%

courses = db.Execute('''
SELECT Course.Id AS id,
       Course.Name AS name
FROM Course''')

course_names = {course.id: course.name for course in courses}
import json
js_courses = json.dumps([{'value': course.id, 'text': course.name}
                  for course in sorted(courses, key = lambda course: course.name)])
%>
${editable('course',
           str(candidate.Course.Id),
           candidate.path,
           type = 'select',
           source = js_courses,
           display = course_names.get(candidate.Course.Id, ''),
           disabled = not Model.CanEdit)}
</%def>

<%def name="candidate_status(candidate)">
<% from Candidate.Entity.Candidate import Candidate %>
${editable('status',
           candidate.status,
           candidate.path,
           type = 'select',
           source = candidate.path + 'valid-statuses/',
           display = Candidate.STATUSES[candidate.status],
           disabled = not Model.CanEdit)}
</%def>

<!-- FIXME: is this the correct place for this? -->
<%def name="candidate_activities(candidate, title = u'Histórico', showAppointmentButton = True)">
<h3 class="box-header">${title | h}</h3>

<div class="box widget-users-activity">
	% for activity in candidate.activities:
		${candidate_activity(candidate, activity)}
	% endfor

	<div class="widget-actions">
		<script>
		$('.activity > span.pull-right').tooltip({container: 'body', placement: 'bottom'});
		</script>

## 	% if Model.CanCreateAlarm:
		${actions.CreateAlarm(candidate, size = 'small')}
## 	% endif

	% if Model.CanPostComment:
		${actions.comment(candidate, size = 'small')}
	% endif

	% if not path.startswith(candidate.path + 'schedule/') and showAppointmentButton and (candidate.status != 'pending_reenrollment' or user.HasPermission(candidate.path, 'admin')):
		${actions.appointment(candidate, size = 'small')}
	% endif

	% if path == candidate.path + 'appointment/':
		<a id="appointment-finish-button"
		   class="btn btn-small btn-primary"
		   data-placement="bottom">Encerrar atendimento</a>
		<script>
		$('#appointment-finish-button').click(function (e) {
			var $input = $('input[name^="LowerBound-"], input[name^="UpperBound-"], input[name^="FullNumber-"]');
			for (var i = 0; i < $input.length; i++) {
                console.log("name");
                console.log($input[i].name);
                console.log("value");
                console.log($input[i].value);
				$.ajax('/candidate/${candidate.Id | n,js}/appointment/',
					   {data: {name: $input[i].name,
							   value: $input[i].value},
						async: false,
						type: 'POST'});
			}
			$.ajax('/candidate/${candidate.Id | n,js}/appointment/',
				   {data: {name: 'user',
						   value: '${user.id | js}'},
					async: false,
					type: 'POST'});
			window.location.href = '/candidate/${candidate.Id | n,js}/';

			e.stopPropagation();
			e.preventDefault();
			return false;
		});
		</script>
	% endif
	</div>
</div>
<script>
$('.appointment-delete').click(function (e) {
    var activity = $(this).closest('.activity');
    $.post('${candidate.path | js}appointment/=/delete/',
           {appointmentDateTime: this.dataset.datetime}, function () {
        activity.remove();
    });

    e.preventDefault();
    e.stopPropagation();
    return false;
});
</script>
<script>
$('.comment-delete').click(function (e) {
    var comment = $(this).closest('.activity');
    $.post('${candidate.path | js}comment/=/delete/',
           {comment_content: this.id}, function () {
        comment.remove();
    });

    e.preventDefault();
    e.stopPropagation();
    return false;
});
</script>
</%def>

<!-- FIXME: is this the correct place for this? -->
<%def name="candidate_activity(candidate, activity)">
<% from datetime import datetime, date %>
<div class="activity">
    <span class="pull-right" title="${activity.datetime.date() | n,LongDay} de ${activity.datetime.date() | n,LongMonth}, ${activity.datetime.time() | n,ShortTime}">${activity.datetime - datetime.now() | n,TimeDelta}</span>
% if activity.type == 'comment':
    <i class="icon-comment"></i>
	% if activity.user.id is not None:
    <img src="/user/${activity.user.id | h}/picture/" alt="">
	% endif
    <div>
		% if activity.user.id is not None:
        <a href="/user/${activity.user.id | h}/">
            ${activity.user.name | h}</a> escreveu um comentário:
		% endif
        <span class="comment">
            ${activity.comment | h}
        </span>
        <a href="#" class="comment-delete muted" id="${activity.comment | h}"><i class="icon-trash"></i> Excluir</a>
    </div>
% elif activity.type == 'rating':
    <i class="icon-star"></i>
    <img src="/user/${activity.user.id | h}/picture/" alt="">
    <div>
        <a href="/user/${activity.user.id | h}/">
            ${activity.user.name | h}</a> avaliou este candidato:
        <span class="comment">
            <span class="star-rating static"><!--
				% for i in range(activity.rating):
				--><span class="star selected"></span><!--
				% endfor
				% for i in range(5 - activity.rating):
				--><span class="star"></span><!--
				% endfor
			--></span>
        </span>
    </div>
% elif activity.type == 'registration':
    <i class="icon-signin"></i>
    <img src="/static/blank.png" alt="">
    <div>
        ${candidate.student_name | h} se inscreveu.
    </div>
% elif activity.type == 'call':
    <i class="icon-phone"></i>
    <img src="/static/blank.png" alt="">
    <div>
        ${candidate.student_name | h} tem uma ligação agendada.
    </div>
% elif activity.type == 'exam':
    <i class="icon-trophy"></i>
    <img src="/static/blank.png" alt="">
    <div>
% if activity.datetime.date() >= date.today():
        ${candidate.student_name | h} virá realizar o exame.
% elif candidate.grades:
        ${candidate.student_name | h} fez o exame.
% else:
        ${candidate.student_name | h} faltou ao exame.
% endif
    </div>
% elif activity.type == 'change':
    % if activity.user.id is not None:
    <i class="icon-edit"></i>
    <img src="/user/${activity.user.id | h}/picture/" alt="">
    <div>
        <a href="/user/${activity.user.id | h}/">
            ${activity.user.name | h}</a> alterou o campo
            &ldquo;${activity.field | h}&rdquo;.
        <span class="comment">
            ${activity.old_value | h}
            <span class="icon-arrow-right"></span>
            ${activity.new_value | h}
        </span>
    </div>
    % else:
    <i class="icon-edit"></i>
    <img src="/static/blank.png" alt="">
    <div>
        O campo &ldquo;${activity.field | h}&rdquo; foi alterado.
        <span class="comment">
            ${activity.old_value | h}
            <span class="icon-arrow-right"></span>
            ${activity.new_value | h}
        </span>
    </div>
    % endif
% elif activity.type == 'appointment':
    <i class="icon-calendar"></i>
% if activity.user.id:
    <img src="/user/${activity.user.id | h}/picture/" alt="">
% else:
    <img src="/static/blank.png" alt="">
% endif
    <div>
% if activity.user.id:
        <a href="/user/${activity.user.id | h}/">
            ${activity.user.name | h}</a> atendeu ${candidate.student_name | h}.
% elif activity.datetime.date() < date.today():
        ${candidate.student_name | h} faltou a um atendimento.
% elif activity.datetime.date() == date.today():
        ${candidate.student_name | h} tem um atendimento hoje.
% else:
        ${candidate.student_name | h} tem um atendimento.
% endif
        <span class="comment">
% if path != candidate.path + 'appointment/':
% if activity.datetime.date() == date.today() and not activity.user.id and Model.CanServiceAppointment:
        <a href="${candidate.path | h}appointment/" class="btn btn-small btn-primary">Atender…</a>
% endif
<% import datetime %>
% if Model.CanDeleteAppointment:
        <a href="#" class="appointment-delete muted" data-datetime="${activity.datetime | h}"><i class="icon-trash"></i> Apagar</a>
% endif
% endif
        </span>
    </div>
% endif
</div>
</%def>

