## TODO: This is currently unused.

<%def name="filterChart()">
    <a class="btn quick-btn btn-block span6 offset3" data-toggle="modal"
       data-target="#registered-chart-modal" style="margin-bottom: 8px;">
        <i class="icon-bar-chart"></i>
        <span class="quick-btn-title">Inscritos</span>
    </a>

    <div class="modal fade hide" id="registered-chart-modal">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h3>Inscritos</h3>
        </div>
        <div class="modal-body">
            <div class="btn-group" data-toggle="buttons-radio">
                <a href="#" class="btn" data-mode="">diárias</a>
                <a href="#" class="btn" data-mode="weekly">semanais</a>
                <a href="#" class="btn" data-mode="accumulate">acumuladas</a>
            </div>
            <div class="modal-chart" id="registration-chart" style="width: 517px; height: 300px;"></div>
            <br clear="both">
        </div>
    </div>

<%
def date_js(date):
    return (int(date.strftime('%s')) - 3 * 3600) * 1000

import json

registration_data = [(date_js(k), v) for k, v in sorted(TimeSeries.items())]

interesting_dates = [date_js(date) for date in exam_dates]
%>

<script>
var registrationData = ${json.dumps(registration_data)};

var interestingDates = ${json.dumps(interesting_dates)};
</script>

<script>
// FIXME: be more specific than .modal
$('.modal').on('show', function (e) {
    $(this).find('[data-mode="weekly"]').click();
});

$('.modal [data-mode]').click(function (e) {
    $(this).closest('.modal').find('[data-mode]').removeClass('active');
    $(this).addClass('active');

    renderPlot($(this).closest('.modal').find('.modal-chart'),
               this.dataset.mode);

    e.preventDefault();
    e.stopPropagation();
    return false;
});

function smoothData(data) {
    var smoothedData = [];
    var history = [];
    var sum = 0;
    for (var i = 0; i < data.length; i++) {
        history.push(data[i][1]);
        sum += data[i][1];

        if (history.length > 7) {
            sum -= history[0];
            history = history.slice(1);
        }

        if (history.length == 7) {
            smoothedData.push([data[i][0], sum / 7]);
        }
    }

    return smoothedData;
}

function accumulateData(data) {
    var accumulatedData = [];
    var sum = 0;
    for (var i = 0; i < data.length; i++) {
        sum += data[i][1];
        accumulatedData.push([data[i][0], sum]);
    }

    return accumulatedData;
}

function renderPlot(chartElement, mode) {
    var aggregate = function (data) { return data };
    if (mode == 'weekly') {
        aggregate = smoothData;
    } else if (mode == 'accumulate') {
        aggregate = accumulateData;
    }

    var chartSeries = [{
        label: 'Inscrições 2016',
        color: 'rgba(0, 136, 204, 1.0)',
        data: aggregate(registrationData),
    }];

    var chartMarkings = []
    for (var i = 0; i < interestingDates.length; i++) {
        chartMarkings.push({
            color: "#ddd",
            lineWidth: 1,
            xaxis: {
                from: interestingDates[i],
                to: interestingDates[i]}});
    }

    var chart = $(chartElement);
    var wrapper = chart.closest('.graph-wrapper')[0]
    if (chart.closest('.graph-wrapper')[0]) {  // FIXME
        chart.closest('.graph-wrapper').replaceWith(chart);
    }

    var minDate = registrationData[0][0];
    var maxDate = registrationData[registrationData.length - 1][0];

    var plot = $.plot(chart, chartSeries, {
        xaxis: {
            mode: 'time',
            minTickSize: [1, 'day'],
            timeformat: '%d/%b',
            show: false,
            tickColor: 'transparent',
        },
        yaxis: {
            minTickSize: 1,
            min: 0,
            tickDecimals: 0
        },
        grid: {
            markings: chartMarkings,
            color: '#646464',
            borderColor: 'transparent',
            borderWidth: 20,
            hoverable: true,
        },
        legend: {
            show: false,
        },
        series: {
            shadowSize: 0,
        },
    });

    var o = null;
    var div = null;

    for (var i = 0; i < interestingDates.length; i++) {
        if (interestingDates[i] < minDate || maxDate < interestingDates[i]) {
            continue;
        }
        o = plot.pointOffset({x: interestingDates[i], y: 0});

        div = $('<div></div>')
                .css('left', o.left + 4)
                .css('top', o.top - 18)
                .css('position', 'absolute')
                .css('color', '#aaa')
                .css('font-size', 11);
        div.text($.plot.formatDate(new Date(interestingDates[i] + 86400000), '%d/%b'));
        chart.append(div);
    }

    function showTooltip(x, y, contents) {
        var tooltip = $('<div id="tooltip"></div>');
        tooltip.text(contents).appendTo(chart);
        if (x + 20 + tooltip.width() > chart.width()) {
            x -= 40 + tooltip.width();
        } else {
            x += 20;
        }
        tooltip.css('position', 'absolute')
               .css('top', y - 16)
               .css('left', x)
               .fadeIn();
    }

    var previousPoint = null;
    chart.unbind('plothover');
    chart.bind('plothover', function (e, pos, item) {
        if (item) {
            if (previousPoint != item.dataIndex) {
                previousPoint = item.dataIndex;
                $('#tooltip').remove();
                var idx = item.dataIndex + ((mode == 'smooth') ? 6 : 0);
                var x = registrationData[idx][0];
                var y = registrationData[idx][1];
                var tooltipText = $.plot.formatDate(new Date(x), '%d/%b') + ': ' + y + ' inscrições';
                showTooltip(item.pageX - chart.offset().left,
                            item.pageY - chart.offset().top,
                            tooltipText);
            }
        } else {
            $('#tooltip').remove();
            previousPoint = null;
        }
    });
}
</script>
</%def>
