<%def name="candidate_grades(candidate)">
% if candidate.grades:
	<h3 class="box-header">Notas no ${config.candidate_process_name | h}</h3>
    <div class="box">
        <form class="form-horizontal">
        % for subject_name, grade in sorted(candidate.grades.items()):
        <div class="control-group">
            <label class="control-label">
                ${subject_name | h}</label>
            <div class="controls">
                <a href="#" class="editable" data-disabled="true">
                ${grade | n,unit('acerto')}</a>
            </div>
        </div>
        % endfor
        </form>

        <div class="widget-actions">
            <a class="btn btn-small" href="/candidate/=/export/docx/certificate/?Query=${candidate.EncodedId | h}">Gerar certificado</a>
        </div>
    </div>
% elif Model.CanImportGrades:
	<h3 class="box-header">Notas no ${config.candidate_process_name | h}</h3>
    <div class="box box-collapsed">
        <form class="form-horizontal" method="post" id="form-candidate-grades"
              action="/candidate/${candidate.Id | h}/grades/">
            <div class="control-group">
                <label class="control-label" for="grade-Matemática">Matemática</label>
                <div class="controls">
                    <input class="span4" type="number" name="grades_Matemática"
                           id="grade-Matemática" required min="0">
                </div>
            </div>

            <div class="control-group">
                <label class="control-label" for="grade-Português">Português</label>
                <div class="controls">
                    <input class="span4" type="number" name="grades_Português"
                           id="grade-Português" required min="0">
                </div>
            </div>
            </form>

            <div class="widget-actions">
                <button class="btn btn-small" onclick="$('#form-candidate-grades').submit()">Lançar bolsão avulso</button>
            </div>
    </div>
% endif

% if 'enem' in candidate:
	<h3 class="box-header">Notas no ENEM</h3>
    <div class="box">
		<form class="form-horizontal">
        <div class="control-group">
            <label class="control-label">Nome</label>
            <div class="controls">
                <a href="#" class="editable" data-disabled="true">${candidate.enem.name | n,decimal(1)}</a>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label">Número de inscrição</label>
            <div class="controls">
                <a href="#" class="editable" data-disabled="true">${candidate.enem.code | n,decimal(1)}</a>
            </div>
        </div>

		<hr>

        <div class="control-group">
            <label class="control-label" style="width: 320px">Ciências Humanas e suas Tecnologias</label>
            <div class="controls" style="margin-left: 340px">
                <a href="#" class="editable" data-disabled="true">${candidate.enem.ch_score | n,decimal(1)}</a>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" style="width: 320px">Ciências da Natureza e suas Tecnologias</label>
            <div class="controls" style="margin-left: 340px">
                <a href="#" class="editable" data-disabled="true">${candidate.enem.cn_score | n,decimal(1)}</a>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" style="width: 320px">Linguagens, Códigos e suas Tecnologias</label>
            <div class="controls" style="margin-left: 340px">
                <a href="#" class="editable" data-disabled="true">${candidate.enem.lc_score | n,decimal(1)}</a>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" style="width: 320px">Matemática e suas Tecnologias</label>
            <div class="controls" style="margin-left: 340px">
                <a href="#" class="editable" data-disabled="true">${candidate.enem.mt_score | n,decimal(1)}</a>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" style="width: 320px">Redação</label>
            <div class="controls" style="margin-left: 340px">
                <a href="#" class="editable" data-disabled="true">${candidate.enem.rd_score | n,decimal(1)}</a>
            </div>
        </div>

		<hr>

        <div class="control-group">
            <label class="control-label" style="width: 320px"><b>Média</b></label>
            <div class="controls" style="margin-left: 340px">
                <a href="#" class="editable" data-disabled="true"><b>${candidate.enem.average_score | n,decimal(1)}</b></a>
            </div>
        </div>
		</form>
	</div>
% elif Model.CanImportGrades:
	<h3 class="box-header">Notas no ENEM</h3>
	<div class="box ${'box-collapsed' if 'enem_error' is not None else ''}">
		<form action="/candidate/${candidate.Id | h}/enem/" method="POST" class="form-horizontal" id="form-candidate-enem">

		% if getattr(FormData, 'enem_error', None):
		<div class="alert alert-error" id="alert-enem">

		<i class="icon-remove icon-3x pull-right"></i>

		% if form.enem_error == 'invalid_login':
		<p>O CPF ou senha fornecidos não correspondem a uma inscrição do ENEM.</p>
		% elif form.enem_error == 'network_error':
		<p>Não conseguimos conectar com o site do INEP; por favor, tente mais tarde.</p>
		% else:
		% endif
		</div>
		% endif

		<div class="control-group">
			<label class="control-label">CPF</label>
			<div class="controls">
				<input type="text" name="cpf" value="" pattern="[0-9]{3}\.?[0-9]{3}\.?[0-9]{3}-?[0-9]{2}" required>
			</div>
		</div>

		<div class="control-group">
			<label class="control-label">Senha do ENEM</label>
			<div class="controls">
				<input type="password" name="password" value="" required>
			</div>
		</div>

		</form>

		<div class="widget-actions">
			<button class="btn btn-small" onclick="$('#form-candidate-enem').submit()">Buscar notas do ENEM</button>
		</div>
	</div>
% endif
</%def>
