<%def name="candidate_negotiations(candidate)">
% if candidate.Negotiation:
	<h3 class="box-header">Bolsas negociadas</h3>
	<div class="box">
		<form class="form-horizontal">
		% for negotiation in candidate.Negotiation:
		<div class="control-group">
			<label class="control-label">
				${negotiation.SchoolClass.Name | h} ${negotiation.Shift.Name | h}<br>
				<span class="muted">(${negotiation.NegotiationDate | n,LongDay} de ${negotiation.NegotiationDate | n,LongMonth})</span></label>
			<div class="controls">
				<a href="#" class="editable" data-disabled="true">
				${negotiation.LowerBound | n,percentage()}<br>
				% if negotiation.LowerBound != negotiation.UpperBound:
					% if negotiation.UpperBound is not None:
						<span class="muted">(responsável pediu ${negotiation.UpperBound | n,percentage()})</span>
					% else:
						<span class="muted">(responsável não fez contra-proposta)</span>
					% endif
					<br>
				% endif
				% if negotiation.FullNumber is not None:
					<span class="muted">${negotiation.FullNumber | n, int_()} parcelas integrais</span>
				% endif
				
				</a>
				% if Model.CanDeleteNegotiation:
					<a href="#" class="btnDeleteNegotiation pull-right"
				   data-negotiation-id="${negotiation.Id | h}" style="margin-top: 5px; margin-left: 8px"><i class="icon-remove"></i></a>
				% endif
				
				% if Model.CanEnroll and config.TotvsGateway is not None and negotiation.LowerBound == max(_.LowerBound for _ in candidate.Negotiation):
					% if candidate.status == 'pending_reenrollment':
					<a href="/Candidate/Enroll/${negotiation.Id | h}/" class="btn btn-primary pull-right"><i class="icon-refresh"></i>&emsp;Rematricular</a>
					% else:
					<a href="/Candidate/Enroll/${negotiation.Id | h}/" class="btn btn-primary pull-right">Matricular</a>
					% endif
				% endif
			</div> 
		</div>
		% endfor

		</form>
	</div>

	% if Model.CanDeleteNegotiation:
		<script>
		$('.btnDeleteNegotiation').click(function (e) {
			var controlGroup = $(this).closest('.control-group');
			$.post('${Candidate.path | js}Negotiation/' + this.dataset.negotiationId + '/Delete/',
				   {},
				   function () { controlGroup.remove(); });

			e.preventDefault();
			e.stopPropagation();
			return false;
		});
		</script>
	% endif
% endif
</%def>
