from Candidate.Business.CandidateManager import CandidateManager
from CandidateAlarm.Entity import CandidateAlarm

from lawrence.base import EntityManager

class CandidateAlarmManager (EntityManager):
	__entity__ = CandidateAlarm

	def __init__(self, **kwargs):
		EntityManager.__init__(self, **kwargs)
		self.CandidateManager = CandidateManager(**kwargs)

	def GetById(self, alarmId: int):
		alarmRow = self.DatabaseCursor.Single('''
			SELECT
				CandidateAlarm.Id,
				CandidateAlarm.CandidateId AS `Candidate.Id`,
				CandidateAlarm.UserId AS `User.Id`,
				CandidateAlarm.ScheduledDate,
				CandidateAlarm.Content
			FROM
				CandidateAlarm
			WHERE CandidateAlarm.Id = %s''',
			[alarmId])
		alarm = CandidateAlarm(**alarmRow)
		alarm.Candidate = self.CandidateManager.GetById(alarm.Candidate.Id)

		return alarm

	def GetExpired(self):
		alarmRowList = self.DatabaseCursor.Execute('''
			SELECT
				CandidateAlarm.Id,
				CandidateAlarm.CandidateId AS `Candidate.Id`,
				CandidateAlarm.UserId AS `User.Id`,
				CandidateAlarm.ScheduledDate,
				CandidateAlarm.Content
			FROM
				CandidateAlarm
			WHERE
				CandidateAlarm.UserId = %s AND
				CandidateAlarm.ScheduledDate <= NOW()''',
			[self.CurrentUser.Id])

		alarmList = [CandidateAlarm(**alarmRow) for alarmRow in alarmRowList]
		for alarm in alarmList:
			alarm.Candidate = self.CandidateManager.GetById(alarm.Candidate.Id)
		return alarmList