<%inherit file="/View/_Layout.mako" />
<%namespace file="/View/_Editable.mako" import="editable" />
<%namespace file="/Candidate/View/Candidate/_Fields.mako" import="candidate_course, candidate_status, candidate_activities" />

<h2>${alarm.Candidate.student_name | h}</h2>

<div class="hero-unit">
	<button class="btn btn-danger quick-btn pull-right span2" type="button" id="AlarmDelete">
		<i class="icon-remove"></i>
		<span class="quick-btn-title">Desativar alarme</span>
	</button>

	<button class="btn quick-btn pull-right span2" type="button" id="AlarmSnooze">
		<i class="icon-moon"></i>
		<span class="quick-btn-title">Adiar para amanhã</span>
	</button>

	<script>
		document.getElementById('AlarmDelete').addEventListener('click', function () {
			$.post('/Candidate/Alarm/${alarm.Id | js}/Delete', {}, function () {
				window.location.href = '/';
			});
		});
		document.getElementById('AlarmSnooze').addEventListener('click', function () {
			$.post('/Candidate/Alarm/${alarm.Id | js}/Snooze', {}, function () {
				window.location.href = '/';
			});
		});
	</script>

	<p>${alarm.Content | h}</p>
</div>

<div class="row-fluid">

<div class="span6">
    <h3 class="box-header">Dados do aluno</h3>

    <div class="box">
        <form class="form-horizontal">
        <div class="control-group">
            <label class="control-label" for="student-name">
                Nome</label>
            <div class="controls">
                ${editable('student_name',
                           alarm.Candidate.student_name,
                           alarm.Candidate.path,
                           disabled = not Model.CanEdit)}
            </div>
        </div>

% if alarm.Candidate.BirthDate is not None:
        <div class="control-group">
            <label class="control-label">Data de nascimento</label>
            <div class="controls">
                ${editable('BirthDate',
                           alarm.Candidate.BirthDate,
                           alarm.Candidate.path,
                           display = date_s,
                           disabled = not Model.CanEdit)}
				(${alarm.Candidate.BirthDate | n,AgeInYearsAndMonths})
            </div>
        </div>
% endif

        <div class="control-group">
            <label class="control-label" for="candidate-school">
                Colégio atual</label>
            <div class="controls">
                ${editable('school',
                           alarm.Candidate.school,
                           alarm.Candidate.path,
                           type = 'typeahead',
                           source = '/school/?json=typeahead',
                           disabled = not Model.CanEdit)}
            </div>
        </div>
        </form>
    </div>

    <h3 class="box-header">Detalhes da inscrição</h3>

    <div class="box">
        <form class="form-horizontal">

        <div class="control-group">
            <label class="control-label" for="candidate-campus">
                Número de inscrição</label>
            <div class="controls">
                ${editable('EncodedId',
                           str(alarm.Candidate.EncodedId),
                           alarm.Candidate.path,
                           disabled = True)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="candidate-campus">
                Unidade</label>
            <div class="controls">
                ${editable('campus',
                           str(alarm.Candidate.Campus.Id),
                           alarm.Candidate.path,
                           type = 'select',
                           source = alarm.Candidate.path + 'valid-Campus/',
                           display = alarm.Candidate.Campus.Name,
                           disabled = not Model.CanEdit)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="candidate-course">
                Campanha</label>
            <div class="controls">
                ${candidate_course(alarm.Candidate)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="candidate-status">
                Situação</label>
            <div class="controls">
                ${candidate_status(alarm.Candidate)}
            </div>
        </div>

        <script>
            $('input[data-url]').click(function () {
                $.post(this.dataset.url, {name: this.dataset.name,
                                          value: $(this).prop('checked')});
            });
        </script>

% if not alarm.Candidate.grades and 'enem' not in Candidate:
        <div class="control-group">
            <label class="control-label" for="candidate-exam-campus">
                Unidade do exame</label>
            <div class="controls">
				${editable('exam_campus',
                           str(alarm.Candidate.ExamCampus.Id),
                           alarm.Candidate.path,
                           display = alarm.Candidate.ExamCampus.Name,
                           type = 'select',
                           source = '/campus/?ajax=1',
                           disabled = not Model.CanEdit)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="candidate-ExamDateTime">
                Data/hora do exame</label>
            <div class="controls">
                ${editable('ExamDateTime',
                           alarm.Candidate.ExamDateTime,
                           alarm.Candidate.path,
                           display = LongDateTime,
                           type = 'select',
                           source = alarm.Candidate.path + 'valid-exam-datetimes/',
                           disabled = not Model.CanEdit)}
            </div>
        </div>
        </form>

% if alarm.Candidate.status != 'cancelled':
		<div class="widget-actions">
			<a href="${alarm.Candidate.path | h}registration/" class="btn btn-small">Re-enviar confirmação de inscrição</a>
		</div>
        <script>
        $('#send-enrollment-email').click(function (e) {
            $.ajax({
                url: '${alarm.Candidate.path | js}send-enrollment-email/',
                type: 'POST',
            }).done(function (data, textStatus, jqXHR) {
                $('#send-enrollment-modal').modal('show');
            });
        });
        </script>
% endif
% else:
        </form>
% endif
    </div>

	<%namespace file="/Candidate/View/Candidate/_Grades.mako" import="candidate_grades" />
	${candidate_grades(alarm.Candidate)}

## 	<%namespace file="/Candidate/View/Candidate/_Negotiations.mako" import="candidate_negotiations" />
## 	${candidate_negotiations(alarm.Candidate)}
</div> <!-- .span6 -->

<div class="span6">
    <h3 class="box-header">Dados de contato</h3>

    <div class="box">
        <form class="form-horizontal">
        <div class="control-group">
            <label class="control-label" for="candidate-contact-name">
                Nome</label>
            <div class="controls">
                ${editable('contact_name',
                           alarm.Candidate.contact_name,
                           alarm.Candidate.path,
                           disabled = not Model.CanEdit)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="candidate-contact-email">
                Email</label>
            <div class="controls">
                ${editable('contact_email',
                           alarm.Candidate.contact_email,
                           alarm.Candidate.path,
                           disabled = not Model.CanEdit)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="candidate-contact-phone">
                Telefone</label>
            <div class="controls">
                ${editable('contact_phone',
                           None,
                           alarm.Candidate.path,
                           type = 'multi_phone',
                           disabled = not Model.CanEdit,
                           placement = 'bottom')  # FIXME
                           }
<script>
(function ($) {
 "use strict";

 var MultiPhone = function (options) {
 this.init('multi_phone', options, MultiPhone.defaults);
 };

 //inherit from Abstract input
 $.fn.editableutils.inherit(MultiPhone, $.fn.editabletypes.abstractinput);

 $.extend(MultiPhone.prototype, {
	 /**
	   Renders input from tpl

	   @method render()
	  **/
render: function() {
},

/**
  Default method to show value in element. Can be overwritten by display option.

  @method value2html(value, element)
 **/
value2html: function(value, element) {
if (!value) {
$(element).empty();
return;
}
 $(element).html(value.join('<br>'));  // FIXME: XSS
 },

 /**
   Converts value to string.
   It is used in internal comparing (not for sending to server).

   @method value2str(value)
  **/
value2str: function (value) {
			   return value.sort().join(', ');
		   },

		   /*
			  Converts string to value. Used for reading value from 'data-value' attribute.

			  @method str2value(str)
			*/
str2value: function (str) {
			   /*
				  this is mainly for parsing value defined in data-value attribute.
				  If you will always set value by javascript, no need to overwrite it
				*/
			   return str;
		   },

		   /**
			 Sets value of input.

			 @method value2input(value)
			 @param {mixed} value
			**/
value2input: function (value) {
	this.$tpl.empty();
	var $container = $('<div></div>')
		.addClass('editable-container')
		.css('width', '220px');
	this.$tpl.append($container);
	for (var i = 0; i < value.length; i++) {
		var $input = $('<input>')
			.attr('type', 'text')
			.attr('name', 'contact_phone')
			.attr('pattern', '\\(?0?x?x?[0-9]{2}\\)?( *[0-9]-?){8,9}')
			.val(value[i])
			.css('margin-bottom', '8px');
		$container.append($input);
	}
	var $input = $('<input>')
		.attr('type', 'text')
		.attr('name', 'contact_phone')
		.attr('pattern', '\\(?0?x?x?[0-9]{2}\\)?( *[0-9]-?){8,9}')
		.val('')
		.css('margin-bottom', '8px');
	$container.append($input);
	var $buttonAddMore = $('<button></button>')
		.addClass('btn btn-small')
		.attr('id', 'contact-phone-more')
		.css('margin-bottom', '8px')
		.text('Incluir mais telefones');
	this.$tpl.append($buttonAddMore);
},

			 /**
			   Returns value of input.

			   @method input2value()
			  **/
input2value: function() {
				$('[name="contact_phone"]').each(function () {
					if (!$(this).val()) $(this).remove();
				});
				 return $.makeArray($('[name="contact_phone"]').map(function (i, element) { return $(element).val(); }));
			 },

			 /**
			   Activates input: sets focus on the first field.

			   @method activate()
			  **/
activate: function() {
			  $('[name="contact_phone"]:first-child').focus();
		  },
});

$('body').on('click', '#contact-phone-more', function (e) {
    $(this).before($('[name=contact_phone]:last').clone().val(''));

    e.preventDefault();
    e.stopPropagation();
    return false;
});

MultiPhone.defaults = $.extend({}, $.fn.editabletypes.abstractinput.defaults, {
tpl: '<div></div>',

inputclass: ''
});

$.fn.editabletypes.multi_phone = MultiPhone;

}(window.jQuery));

$('.editable[data-name=contact_phone]').editable({
	value: [${u", ".join(u"'%s'" % js(phone(contact_phone)) for contact_phone in alarm.Candidate.ContactPhones)}],
	send: 'always',
});
</script>
            </div>
        </div>
        </form>
    </div>

	${candidate_activities(alarm.Candidate, showAppointmentButton = Model.CanCreateAppointment)}
</div>

</div> <!-- .row-fluid -->

</form>
