from BlogPost.Business import BlogPostManager
from Campus.Business import CampusManager

from Candidate.Business.CandidateQueueManager import CandidateQueueManager
from User.Business.UserPermissionManager import UserPermissionManager
from CandidateAlarm.Business import CandidateAlarmManager

from lawrence.base import Handler
import lawrence.db as db
from User.Entity.UserPermission import UserPermission

DBRow = db.DBRow

class Index (Handler):
	__method__ = 'GET'
	__path__ = '/'

	def Handle(self):
		self.RequireLogin()

		self.Model.CanView = self.GetManager(UserPermissionManager).HasPermission(
				self.CurrentUser,
				UserPermission(Group = 'Candidate', Permission = 'View'))
		self.Model.CanExport = self.GetManager(UserPermissionManager).HasPermission(
				self.CurrentUser,
				UserPermission(Group = 'Candidate', Permission = 'Export'))
		self.Model.CanViewCandidateQueue = self.GetManager(UserPermissionManager).HasPermission(
				self.CurrentUser,
				UserPermission(Group = 'Candidate', Permission = 'ViewQueue'))
		self.Model.CanServiceAppointment = self.GetManager(UserPermissionManager).HasPermission(
				self.CurrentUser,
				UserPermission(Group = 'Candidate', Permission = 'ServiceAppointment'))

		self.Model.CandidateQueueList = self.GetManager(CandidateQueueManager).GetAll()

		nextExam = DBRow()
		# try:
		#     nextExamDate = self.DatabaseCursor.Execute('''
		#         SELECT DATE(ExamDateTime) AS exam_date
		#         FROM course_datetimes
		#         WHERE DATE(ExamDateTime) >= DATE(TIMESTAMPADD(HOUR, -6, NOW()))''')[0]
		#     nextExam.date = nextExamDate.exam_date
		#     nextExam.is_today = self.DatabaseCursor.get_row('''
		#         SELECT DATE(%s) = DATE(TIMESTAMPADD(HOUR, -6, NOW()))
		#                  AS next_exam_is_today''',
		#         (nextExam.date, )).next_exam_is_today
		# except IndexError:
		nextExam.date = None
		nextExam.is_today = False

		expiredCandidateAlarmList = self.GetManager(CandidateAlarmManager).GetExpired()

		candidateAppointments = self.DatabaseCursor.Execute('''
			SELECT Candidate.Id AS Id,
				   Candidate.student_name,
				   CandidateAppointment.AppointmentDateTime
			FROM Candidate
				 INNER JOIN CandidateAppointment
				   ON CandidateAppointment.CandidateId = Candidate.Id
			WHERE DATE(CandidateAppointment.AppointmentDateTime)
					= DATE(NOW()) AND
				  CandidateAppointment.UserId IS NULL AND '''
				+ db.query_in('Candidate.CampusId',
							  self.GetManager(CampusManager).GetAuthorized()) + '''
			ORDER BY CandidateAppointment.AppointmentDateTime, Candidate.student_name''')

		return self.RenderTemplate(
			'View/Index',
			candidateAppointments = candidateAppointments,
			expiredCandidateAlarmList = expiredCandidateAlarmList,
			nextExam = nextExam,
			news = self.GetManager(BlogPostManager).GetLatest())


