from lawrence.base import Handler
from lawrence.HTTPStatus import *

class SchoolsView (Handler):
    __method__ = 'GET'
    __path__ = '/school/'

    def Handle(self, *,
			json: str = None):
        schools = self.DatabaseCursor.Execute('''
            SELECT
                SchoolId AS Id,
                name
            FROM School
            ORDER BY name''')

        if json == 'typeahead':
            import json
            return json.dumps([school.name for school in schools])

        self.RequirePermission('/school/', 'read')

        return self.RenderTemplate('View/Settings/School', schools = schools)

class SchoolNew (Handler):
    __method__ = 'POST'
    __path__ = '/School/Create'

    def Handle(self, *,
			schoolName: str):
        self.RequirePermission('/school/', 'admin')

        self.DatabaseCursor.Execute('''
            INSERT INTO School (name)
            VALUES (%s)''',
            (schoolName, ))
        self.DatabaseCursor.Commit()

        raise NoContent()

class SchoolDelete (Handler):
    __method__ = 'POST'
    __path__ = '/School/(?P<schoolId>[1-9][0-9]*)/Delete'

    def Handle(self, *,
			schoolId: int):
        self.RequirePermission('/school/', 'admin')

        self.DatabaseCursor.Execute('''
            DELETE FROM School
            WHERE SchoolId = %s''',
            (schoolId, ))
        self.DatabaseCursor.Commit()

        raise NoContent()
