from Course.Entity import Course

from lawrence.base import EntityManager

class CourseManager (EntityManager):
	__entity__ = Course
	def GetById(self, courseId):
		courseRow = self.DatabaseCursor.Single('''
			SELECT
				Course.Id,
				Course.Name,
				Course.IsExamEligible,
				Course.IsENEMEligible,
				CourseSegment.Id AS `Segment.Id`,
				CourseSegment.Name AS `Segment.Name`
			FROM Course
				 LEFT OUTER JOIN CourseSegment
				   ON Course.SegmentId = CourseSegment.Id
			WHERE Course.Id = %s''',
			(courseId, ))
		course = Course(**courseRow)

		return course

