from lawrence.HTTPStatus import *
import lawrence.db as db

from Course.Entity import Course
from lawrence.HTTPStatus import NoContent

from lawrence.base import Handler
from builtins import int

class Index (Handler):
	__method__ = 'GET'
	__path__ = '/Course/'

	def Handle(self, *,
			ajax: bool = False):
		self.RequireLogin()

		# self.Model.CurrentTimeSeries = self.GetManager(CandidateManager).TimeSeries(CandidateFilter(
		# 	Course = None,
		# 	Segment = None,
		# 	Campus = None,
		# 	Status = None,
		# 	AppointmentStatus = None,
		# 	ExamDate = None,
		# 	ExamTime = None,
		# 	Tag = None,
		# 	Query = None,
		# 	SortOrder = None,
		# 	Page = None))

		# self.Model.HistoricTimeSeries = self.DatabaseCursor.Execute('''
		# 	SELECT
		# 		RegistrationDate,
		# 		Count
		# 	FROM
		# 		CandidateRegistrationHistoricDatum
		# 	''')

		# self.Model.ExamDateList = self.DatabaseCursor.Execute('''
		# 	SELECT DISTINCT
		# 		DATE(ExamDateTime) AS ExamDate
		# 	FROM
		# 		course_datetimes
		# 	ORDER BY ExamDate''')

		courseList = self.DatabaseCursor.Execute('''
			SELECT Course.Id AS Id,
				   Course.Name AS Name,
				   CourseSegment.Id AS SegmentId,
				   CourseSegment.Name AS SegmentName
			FROM
				Course
				INNER JOIN CourseSegment
				  ON Course.SegmentId = CourseSegment.Id
			ORDER BY CourseSegment.SortOrder, Course.Name''')

		if ajax:
			import json
			return json.dumps([{'value': course.Id, 'text': course.Name}
							   for course in courseList])

		return self.RenderTemplate('Course/View/Index', courseList = courseList)
	
class CourseNew (Handler):
	__method__ = 'POST'
	__path__ = '/course/create/'

	def Handle(self, *,	Name: str, SegmentId: int):
		self.RequirePermission('/course/create/', 'write')

		self.DatabaseCursor.Begin()
		db.Execute(
			'''INSERT INTO Course (Name, SegmentId, IsENEMEligible, IsExamEligible)
			   VALUES (%s, %s, 0, 0)''',
			(Name, SegmentId))
		self.DatabaseCursor.Commit()

		raise SeeOther('/Course/')
	

class Detail (Handler):
	__method__ = 'GET'
	__path__ = '/Course/(?P<courseId>[1-9][0-9]*)/'

	def Handle(self, *,
			course: Course):
		self.RequirePermission('/Course/{}/'.format(course.Id), 'read')

		return self.RenderTemplate('Course/View/Detail', course = course)

class UpdateIsENEMEligible (Handler):
	__method__ = 'POST'
	__path__ = '/Course/(?P<courseId>[1-9][0-9]*)/IsENEMEligible'

	def Handle(self, *,
			course: Course,
			value: bool):
		self.RequirePermission('/Course/{}/'.format(course.Id), 'write')

		self.DatabaseCursor.Execute('''
			UPDATE Course
			SET IsENEMEligible = %s
			WHERE Course.Id = %s''',
			[value, course.Id])

		raise NoContent()

class UpdateIsExamEligible (Handler):
	__method__ = 'POST'
	__path__ = '/Course/(?P<courseId>[1-9][0-9]*)/IsExamEligible'

	def Handle(self, *,
			course: Course,
			value: bool):
		self.RequirePermission('/Course/{}/'.format(course.Id), 'write')

		self.DatabaseCursor.Execute('''
			UPDATE Course
			SET IsExamEligible = %s
			WHERE Course.Id = %s''',
			[value, course.Id])

		raise NoContent()