<%inherit file="/View/Settings/_Base.mako" />

<%doc>
    <%include file="/View/Course/RegistrationChart.mako" />
</%doc>

<div class="row-fluid">
    <div class="span6">
        <h2 class="box-header">Cursos</h2>
        <div class="box">
            <% lastSegmentName = None %>
            % for course in courseList:
                % if course.SegmentName != lastSegmentName:
                    <h4>${course.SegmentName}</h4>
                    <% lastSegmentName = course.SegmentName %>
                % endif
                <p><a href="/Course/${course.Id}/">${course.Name}</a></p>
            % endfor
        </div>
    </div>
    <div class="span6">
% if user.HasPermission('/candidate/', 'admin'):
		<h2 class="box-header">Importar notas</h2>
		<div class="box">
            <p>Lance suas notas no <a href="/static/course/=/grades/notas.xlsx">modelo de planilha</a> e depois envie-as abaixo:</p>
            <form action="/candidate/=/grades/" method="post" enctype="multipart/form-data" id="grades-form">
                <input type="file" name="grades" id="grades-file">
                <button type="submit" class="btn pull-right">Lançar notas</button>
                <br class="clear">
            </form>
		</div>
% endif
    </div>
</div>

% if user.HasPermission('/campus/', 'admin'):
<div class="row-fluid">
    <button id="new-course" class="btn">Novo Curso</button>
</div>
% endif

% if user.HasPermission('/campus/', 'admin'):
<div class="modal hide fade" id="new-course-modal">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
        <h3>Novo Curso</h3>
    </div>
    <div class="modal-body">
        <form action="/course/create/" method="POST" class="form-horizontal" id="course-new-form">
	        <div class="control-group">
	            <label class="control-label" for="course-name">Nome</label>
	            <div class="controls">
	                <input type="text" name="Name" id="course-name" required>
	            </div>
	            <label class="control-label" for="course-segment">Segmento</label>
	         	<div class="controls">
	         		<select name="SegmentId" id="class-courseSegment" required>
	         			<% lastSegmentName = None %>
	         			% for course in courseList:
		                	% if course.SegmentName != lastSegmentName:
		                  		<option value="${course.SegmentId}">${course.SegmentName}</option>
		                   		<% lastSegmentName = course.SegmentName %>
		               		% endif
		           	 	% endfor
                	</select>
	         	</div>
	        </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="submit" class="btn btn-primary" id="course-new-submit">
            OK</button>
    </div>
</div>

<script>
$('#new-course').click(function (e) {
    $('#new-course-modal').modal('show');
	
    e.stopPropagation();
    e.preventDefault();
    return false;
});

$('#course-new-submit').click(function () {
    $('#course-new-form').submit();
});
</script>
% endif