from Ozark import QueryAST

class Attribute:
	"""Attributes attach *scalar* data to entities; any given entity may have
at most one value for a certain attribute at a given moment."""
	def __init__(self, *, anchor):
		self._Anchor = anchor

class StaticAttribute (Attribute):
	def __init__(self, *, anchor, table, keyColumn, valueColumn, isWritable=False, dataType=object):
		Attribute.__init__(self, anchor = anchor)
		self._Table = table
		self._Key = keyColumn
		self._Column = valueColumn
		self._IsWritable = isWritable
		self._Type = dataType

	@property
	def Query(self):
		query = QueryAST.Query.Select(self._Table)
		del query.Column[self._Anchor._Key.Name]
		return query

	def InsertQuery(self, value):
		if not self._IsWritable:
			raise AttributeError("attribute is read-only")
		return QueryAST.Query.InsertTuple(self._Table, {self._Column.Name: value})

	@property
	def DeleteQuery(self):
		if not self._IsWritable:
			raise AttributeError("attribute is read-only")
		return QueryAST.Query.Delete(self._Table)

# class VersionedAttribute (Attribute):
# 	@property
# 	def RecordedOnColumn(self) -> Expression:
# 		return Expression(self._Anchor._Name + '.' + self._Name + ':RecordedOn')
#
# 	@property
# 	def EffectiveOnColumn(self) -> Expression:
# 		return Expression(self._Anchor._Name + '.' + self._Name + ':EffectiveOn')
#
# 	@property
# 	def Query(self):
# 		window = Window()
# 		window.PartitionColumns.add(self._Anchor.Id)
# 		window.Ordering.append(Descending(self.RecordedOnColumn))
# 		window.Ordering.append(Descending(self.EffectiveOnColumn))
# 		subQuery = BlaQuery()
# 		subQuery.Columns.add(self._Anchor.Id)
# 		subQuery.Column[self.Expression.Name] = FirstValue(self.Expression, Window = window)
# 		subQuery._AddTable(self._Table)
# 		subQuery.AddConstraint(LessThanOrEqualTo(self.RecordedOnColumn, CurrentTimestamp()))
# 		subQuery.AddConstraint(LessThanOrEqualTo(self.EffectiveOnColumn, CurrentTimestamp()))
# 		attributeQuery = BlaQuery()
# 		attributeQuery.Columns.add(self.Expression)
# 		attributeQuery._AddTable(self._Anchor._Table)
# 		attributeQuery._AddTable(QueryTable(subQuery))
#
# 		return attributeQuery