class TableConstraint:
	def __init__(self, Name):
		self.Name = Name

class UniqueKey (TableConstraint):
	def __init__(self, Name):
		TableConstraint.__init__(self, Name)
		self.Columns = set()

	def __hash__(self):
		return hash(frozenset(self.Columns))

	def __eq__(self, other):
		return self.Columns == other.Columns

	def AddColumn(self, Column):
		self.Columns.add(Column)

# TODO: support composite foreign keys
class ForeignKey (TableConstraint):
	def __init__(self, Name, Column, ReferencedColumn, ReferencedTable):
		TableConstraint.__init__(self, Name)
		self.Column = Column
		self.ReferencedColumn = ReferencedColumn
		self.ReferencedTable = ReferencedTable

	def __hash__(self):
		return hash((self.Column, self.ReferencedColumn, self.ReferencedTable))

	def __eq__(self, other):
		return self.Column == other.Column and self.ReferencedColumn == other.References and self.ReferencedTable == other.ReferencedTable