from collections import defaultdict
import inspect

from Ozark.Injector import Injector

class Widget:
	pass

class WidgetRegistry:
	def __init__(self, WidgetInjectorFactory):
		self._Widgets = defaultdict(list)
		self._WidgetInjectorFactory = WidgetInjectorFactory

	def AddWidget(self, widgetFactory):
		widgetInjector = self._WidgetInjectorFactory()
		widget = widgetInjector(widgetFactory)
		widgetType = inspect.signature(widget).return_annotation
		if not issubclass(widgetType, Widget):
			raise TypeError("return type {} is not a widget".format(widgetType.__name__))
		self._Widgets[widgetType].append(widget)

	def GetWidgets(self, *, widgetType, injector: Injector):
		# FIXME: would subclassing be useful here?
		for widget in self._Widgets.get(widgetType, ()):
			yield from injector(widget)