from SchoolClass.Entity import SchoolClass
from lawrence.base import EntityManager

class SchoolClassManager (EntityManager):
    __entity__ = SchoolClass

    def GetById(self, schoolClassId):
        return SchoolClass(**self.DatabaseCursor.Single('''
            SELECT
                SchoolClass.id AS id,
                SchoolClass.name AS name,
                Course.id AS `course.id`,
                Course.Name AS `course.name`,
                ClassShift.id AS `shift.id`,
                ClassShift.name AS `shift.name`,
                Campus.id AS `campus.id`,
                Campus.name AS `campus.name`,
                SchoolClassOutlay.MonthlyPayment,
                SchoolClassOutlay.MinimumDiscount,
                SchoolClassOutlay.AverageDiscount,
                SchoolClassOutlay.MaximumDiscount,
				SchoolClass.Capacity AS Capacity
            FROM
                SchoolClass
                INNER JOIN Campus
                  ON SchoolClass.CampusId = Campus.id
                INNER JOIN Course
                  ON SchoolClass.CourseId = Course.id
                LEFT OUTER JOIN ClassShift
                  ON SchoolClass.ShiftId = ClassShift.id
                LEFT OUTER JOIN SchoolClassOutlay
                  ON SchoolClassOutlay.SchoolClassId = SchoolClass.id
            WHERE
                SchoolClass.id = %s''',
            (schoolClassId, )))

    def Create(self, schoolClass):
        self.DatabaseCursor.Begin()
        self.DatabaseCursor.Execute('''
            INSERT INTO SchoolClass (Name, CampusId, CourseId)
            VALUES (%s, %s, %s)''',
            (schoolClass.Name,
             schoolClass.CampusId,
             schoolClass.CourseId))
        schoolClass.Id = self.DatabaseCursor.ScopeIdentity()
        self.DatabaseCursor.Commit()

    def Delete(self, schoolClass):
        self.DatabaseCursor.Begin()
        self.DatabaseCursor.Execute('''
            DELETE FROM SchoolClass
            WHERE SchoolClass.Id = %s''', (schoolClass.Id, ))
        self.DatabaseCursor.Commit()

