#!/bin/sh

if [ -t 1 ]; then
	echo Refusing to output tarball to terminal. >&2
	exit 1
fi

BUILD=`mktemp -d /tmp/XXXXXX`
MODULE=lawrence

git archive --format=tar --prefix=${MODULE}/ HEAD | gzip -9 > ${BUILD}/${MODULE}.tar.gz
cat DatabaseSkeleton.sql DatabaseLog.sql > ${BUILD}/DatabaseChange.sql
tar -c -z -f - -C ${BUILD}/ ${MODULE}.tar.gz DatabaseChange.sql

rm -rf ${BUILD}/
