#!/bin/sh

OLD_COMMIT=$1
NEW_COMMIT=$2

if [ -z ${OLD_COMMIT} -o -z ${NEW_COMMIT} ]; then
	echo The old and new commits for the bundle are required. >&2
	exit 1
fi

if [ -t 1 ]; then
	echo Refusing to output tarball to terminal. >&2
	exit 1
fi

BUILD=`mktemp -d /tmp/XXXXXX`
MODULE=lawrence

git archive --format=tar --prefix=${MODULE}/ ${NEW_COMMIT} | gzip -9 > ${BUILD}/${MODULE}.tar.gz
git difftool --no-prompt --extcmd="diff --unchanged-line-format='' --old-line-format=''" \
	${OLD_COMMIT} ${NEW_COMMIT} -- DatabaseLog.sql > ${BUILD}/DatabaseChange.sql
tar -c -z -f - -C ${BUILD}/ ${MODULE}.tar.gz DatabaseChange.sql

rm -rf ${BUILD}/
