#!/usr/bin/env python2.7
# encoding: utf-8

class Entity (object):
    def __init__(self, **kwargs):
        for key, value in list(kwargs.items()):
            setattr(self, key, value)

    def __repr__(self):
        return repr(self.__dict__)

def ReadWorksheet(worksheet, entitySchema):
    numColumns = 0
    while worksheet.cell(row = 1, column = 1+numColumns).value is not None:
        numColumns += 1
    headers = [worksheet.cell(row = 1, column = 1+columnIndex).value
               for columnIndex in range(numColumns)]
    invalidHeaders = [header for header in headers if header not in list(entitySchema.keys())]
    if any(invalidHeaders):
        invalidHeaderExample = invalidHeaders[0]
        raise AttributeError("entity has no attribute '%s'" % invalidHeaderExample)
    rowIndex = 1
    while True:
        entity = Entity()
        blankRow = True
        for columnIndex in range(numColumns):
            attributeName = headers[columnIndex]
            cellValue = worksheet.cell(row = 1+rowIndex, column = 1+columnIndex).value
            if cellValue is None:
                setattr(entity, attributeName, None)
            else:
                attributeValue = entitySchema[attributeName](cellValue)
                setattr(entity, attributeName, attributeValue)
                blankRow = False
        if blankRow:
            break
        yield entity
        rowIndex += 1
