#!/usr/bin/env python2.7
# encoding: utf-8

import lawrence.util
import lawrence.db
import datetime

from .EntityFromXlsx import ReadWorksheet

def ImportStudents(workbook):
    cursor = lawrence.db.Cursor()
    cursor.Begin()
    for entity in ReadWorksheet(workbook.get_sheet_by_name(name = "FARABE Presença em ordem"), {
        'CodigoAluno': str,
        'NomeAluno': str,
        'DataAtendimento': lambda x: x,
        'HoraAtendimento': lambda x: x,
    }):
        candidateId = lawrence.util.DecodeId(int(entity.CodigoAluno))
        appointmentDateTime = datetime.datetime.combine(entity.DataAtendimento.date(), entity.HoraAtendimento)
        cursor.Execute('''
            INSERT INTO CandidateAppointment (CandidateId, AppointmentDateTime)
            VALUES (%s, %s)''',
            (candidateId,
             appointmentDateTime))
    cursor.SaveChanges()

def _main():
    import sys
    from openpyxl.reader.excel import load_workbook
    with open(sys.argv[1], 'rb') as inputFile:
        workbook = load_workbook(inputFile)

    ImportStudents(workbook)

if __name__ == '__main__':
    _main()
