#!/usr/bin/env python2.7
# encoding: utf-8

import sys

from lawrence.util import encode_id, decode_id

def GenerateCandidateId(line):
    if not line:
        yield ''
        return
    elif line[0] in '1234567890':
        for id_ in GenerateCandidateId(line[1:]):
            yield line[0] + id_
    else:
        for ch in '1234567890':
            if len(line) == 8 and ch == 0:
                continue
            for id_ in GenerateCandidateId(line[1:]):
                yield ch + id_

def Main():
    for line in (_.strip() for _ in sys.stdin):
        best = None
        best_count = 8
        for i in range(2000):
            count = 0
            for a, b in zip(str(encode_id(i)), line):
                if a != b and a in '1234567890' and b in '1234567890':
                    count += 1
            if set(str(encode_id(i))) == set(line):
                count -= .5
            if count < best_count:
                best = i
                best_count = count
        print('%8s\t%8s\t%8s\t%8s' % (line, encode_id(best), best,
                                      best_count))

if __name__ == '__main__':
    Main()

