from User.Business.UserManager import UserManager
from lawrence.HTTPStatus import SeeOther
from lawrence.base import Handler

class LoginView (Handler):
    __method__ = 'GET'
    __path__ = '/user/=/login/'

    def Handle(self, *,
			username: str = None,
			callback: str = '/',
			invalidUsername: bool = False,
			invalidPassword: bool = False):
        if self.IsLoggedIn():
            raise SeeOther(callback)

        return self.RenderTemplate('User/View/User/Login',
			callback = callback,
			username = username,
			invalidUsername = invalidUsername,
			invalidPassword = invalidPassword)

class Login (Handler):
    __method__ = 'POST'
    __path__ = '/user/=/login/'

    def Handle(self, *,
			username: str,
			password: str,
			callback: str = '/'):
        if self.IsLoggedIn():
            raise SeeOther(callback)

        try:
            user = self.GetManager(UserManager).GetByUsernameAndPassword(username, password)
        except ValueError as exception:
            if exception.args[0] == 'invalid username':
                raise SeeOther('/user/=/login/', {'invalidUsername': True,
                                                  'callback': callback})
            elif exception.args[0] == 'invalid password':
                raise SeeOther('/user/=/login/', {'invalidPassword': True,
                                                  'username': username,
                                                  'callback': callback})
            else:
                raise

        self.Session.user = user.Id
        raise SeeOther(callback)

class Logout (Handler):
    __method__ = 'POST'
    __path__ = '/user/=/logout/'

    def Handle(self):
        self.RequireLogin()
        del self.Session.user
        raise SeeOther('/user/=/login/', {'logged_out': True})