from User.Business.UserPermissionManager import UserPermissionManager
from User.Business.UserRoleManager import UserRoleManager
from User.Entity.UserPermission import UserPermission

from lawrence.base import Handler
from lawrence.HTTPStatus import *

from User.Entity.UserRole import UserRole

class Index (Handler):
    __method__ = 'GET'
    __path__ = '/User/Role/'

    def Handle(self):
        self.RequirePermission('/user/', 'admin')

        self.Model.RoleList = self.GetManager(UserRoleManager).GetAll()

        return self.RenderTemplate('User/View/UserRole/Index')

class Detail (Handler):
    __method__ = 'GET'
    __path__ = '/User/Role/(?P<userRoleId>[1-9][0-9]*)/'

    def Handle(self, *, userRole: UserRole):
        self.RequirePermission('/user/', 'admin')

        self.Model.Role = userRole
        self.Model.PermissionList = self.GetManager(UserPermissionManager).GetAll()
        self.Model.EnabledPermissionList = self.GetManager(UserPermissionManager).GetRolePermissions(userRole)

        return self.RenderTemplate('User/View/UserRole/Detail')

class New (Handler):
    __method__ = 'POST'
    __path__ = '/User/Role/New/'

    def Handle(self, *,
			Name: str):
        self.RequirePermission('/user/', 'admin')

        newRole = UserRole(Name = Name)
        self.GetManager(UserRoleManager).Add(newRole)

        raise SeeOther('/User/Role/%d/' % newRole.Id)

class SetPermission (Handler):
    __method__ = 'POST'
    __path__ = '/User/Role/(?P<userRoleId>[1-9][0-9]*)/Permission/(?P<userPermissionId>[1-9][0-9]*)/'

    def Handle(self, *,
			userRole: UserRole,
			userPermission: UserPermission,
			value: bool):
        self.RequirePermission('/user/', 'admin')

        self.GetManager(UserRoleManager).SetPermission(userRole, userPermission, value)

        raise NoContent()
