from User.Entity.User import User
from User.Business.UserManager import UserManager

from lawrence.base import Handler

class Detail (Handler):
    __method__ = 'GET'
    __path__ = '/invite/(?P<inviteCode>[A-Z]+|=)/'

    def Handle(self, *,
			inviteCode: str):
        if self.IsLoggedIn():
            return self.RenderTemplate('User/View/Invite/Detail')
        user = self.DatabaseCursor.Single('''
            SELECT User.Id AS Id
            FROM User
            WHERE User.invite_code = %s''', (inviteCode, ))
        if not user:
            if hasattr(self.Session, 'user'):
                del self.Session.user
        else:
            self.Session.user = user.Id
            self.CurrentUser = self.GetManager(UserManager).GetById(user.Id)
            self.DatabaseCursor.Execute('''
                UPDATE User
                SET invite_code = NULL
                WHERE User.Id = %s''', (self.CurrentUser.id, ))
            self.DatabaseCursor.Commit()
        if not hasattr(self.Session, 'user'):
            return self.RenderTemplate('User/View/Invite/Invalid')
        else:
            return self.RenderTemplate('User/View/Invite/Detail')
