<%inherit file="/View/Settings/_Base.mako" />
<%namespace file="/User/View/User/_Fields.mako" import="user_full_name, user_email, user_username, user_password" />

<img src="${Model.User.path | h}picture/" class="img-polaroid pull-right" alt=""
     id="user-picture">

<h1>${Model.User.FullName | h}</h1>

<div class="row-fluid">

<div class="span6">
% if user.HasPermission('/user/%d/' % Model.User.Id, 'admin'):
    <h2 class="box-header">Permissões</h3>
    <div class="box">
    % for permission in victim_permissions:
        <p>
      ${permission['permission'] | h}: <code>${permission['path'] | h}</code>
      <a href="#" data-path="${permission.path | h}" class="permission-remove"><span class="icon-remove"></span></a>
      </p>
    % endfor
    <script>
        $('.permission-remove').click(function () {
            $.post('grant/', {permission: 'none', path: this.dataset.path});
            $(this).parent().remove();
        });
    </script>
    <h3>Conceder permissão</h3>
    <form action="grant/" method="post" id="user-grant">

    <input type="text" name="path">

    <select name="permission" id="user-permission">
      <option value="none">(nenhuma)</option>
      <option value="read">Leitura</option>
      <option value="write">Escrita</option>
      <option value="admin">Administrador</option>
    </select>

    <script>
    $('#user-permission').change(function () {
        $('#user-grant').submit();
    });
    </script>
    </form>
    </div> <!-- .box -->
% endif
</div> <!-- .span6 -->

<div class="span6">
    <form class="form-horizontal">
    <div class="control-group">
        <label class="control-label" for="user-full-name">Nome</label>
        <div class="controls">
            ${user_full_name(Model.User)}
        </div>
    </div>

    <div class="control-group">
        <label class="control-label" for="user-email">Email</label>
        <div class="controls">
            ${user_email(Model.User)}
        </div>
    </div>

    <div class="control-group">
        <label class="control-label" for="user-username">Nome de usuário</label>
        <div class="controls">
            ${user_username(Model.User)}
        </div>
    </div>

    <div class="control-group">
        <label class="control-label" for="user-password">Senha</label>
        <div class="controls">
            ${user_password(Model.User)}
        </div>
    </div>

    <div class="form-actions">
    % if Model.IsSwitchingAllowed:
        <button class="btn" id="SwitchUserButton" style="margin-bottom: 8px">Assumir identidade</button>
    % endif
    % if Model.IsDeletingAllowed:
        <button class="btn btn-danger" id="DeleteUserButton" style="margin-bottom: 8px">Apagar usuário</button>
    % endif
    </div>

    </form>

</div> <!-- .span6 -->

</div> <!-- .row-fluid -->

<div class="row-fluid">

<div class="span4">
	<h3 class="box-header">Perfis</h3>
	<div class="box">
    % for role in Model.RoleList:
		% if user.HasPermission('/user/%d/' % Model.User.Id, 'admin'):
			<label class="checkbox">
				<input type="checkbox" name="UserRole" value="${role.Id | h}"
				 ${any(enabledRole.Id == role.Id for enabledRole in Model.EnabledRoleList) | n,checked}>
					${role.Name | h}</label>
		% elif any(enabledRole.Id == role.Id for enabledRole in Model.EnabledRoleList):
			<p>${role.Name | h}</p>
		% endif
    % endfor
	<script>
	$('[name="UserRole"]').change(function (e) {
		$.ajax({
			url: '/User/${Model.User.Id | js}/Role/' + this.value + '/',
			type: 'POST',
			data: { value: this.checked },
		});
	});
	</script>
	</div>
</div> <!-- .span4 -->

<div class="span4">
	<h3 class="box-header">Unidades</h3>
	<div class="box">
<%
import lawrence.db

Campus = db.Execute("SELECT Id, Name FROM Campus ORDER BY Name")
VictimCampus = [row.CampusId for row in db.Execute("SELECT CampusId FROM UserCampus WHERE UserId = %s", (Model.User.id, ))]
%>
	% if user.HasPermission('/user/%d/' % Model.User.Id, 'admin'):
		<label class="checkbox">
			<input type="checkbox" name="user-campus-all" ${None in VictimCampus | n,checked}> <b>todas</b></label>
	% elif None in VictimCampus:
		<p><b>todas</b></p>
	% endif
		<div id="campus-list">
	% for campus in Campus:
		% if user.HasPermission('/user/%d/' % Model.User.Id, 'admin'):
			<label class="checkbox">
				<input type="checkbox" name="user-campus" value="${campus.Id | h}" ${campus.Id in VictimCampus | n,checked}>
					${campus.Name}</label>
		% elif campus.Id in VictimCampus:
			<p>${campus.Name | h}</p>
		% endif
	% endfor
		</div>
	<script>
	$('[name="user-campus"]').change(function (e) {
		$.ajax({
			url: 'campus/' + this.value + '/',
			type: 'POST',
			data: { value: this.checked },
		});
	});
	$('[name="user-campus-all"]').change(function (e) {
		$.ajax({
			url: 'campus/=/',
			type: 'POST',
			data: { value: this.checked },
		});
		$('#campus-list').toggle(!this.checked);
	});
	$('#campus-list').toggle(!$('[name="user-campus-all"]')[0].checked);
	</script>
	</div>
</div> <!-- .span4 -->

</div> <!-- .row-fluid -->

% if user.HasPermission(Model.User.path + 'picture/', 'write'):
<div class="modal fade hide" id="picture-modal">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
        <h3>Trocar foto</h3>
    </div>

    <div class="modal-body">
        <form action="${Model.User.path | h}picture/" method="post" id="picture-form"
              class="form-horizontal" enctype="multipart/form-data">

        <div class="control-group">
            <label for="picture-file" class="control-label">Escolha uma imagem do seu computador...</label>
            <div class="controls">
                <input type="file" name="photo" id="picture-file" style="display: none">
                <button class="btn" id="picture-file-button">Escolher foto...</button>
            </div>
        </div>

        <div class="control-group">
            <label for="picture-url" class="control-label">...diga o endereço da foto na Internet....</label>
            <div class="controls">
                <input type="text" name="photo_url" id="picture-url"
                       value="http://">
                <button class="btn btn-primary disabled" type="submit"
                        id="picture-url-button">trocar foto</button>
            </div>
        </div>
        
        <img src="/static/blank.png" id="picture-preview" style="height: 200px">

        </form>
    </div>
</div>

<script>
$('#user-picture').css('cursor', 'pointer');

$('#user-picture').click(function (e) {
    $('#picture-modal').modal('toggle');
});
$('#picture-file-button').click(function (e) {
    $('#picture-file').click();

    e.preventDefault();
});

$('#picture-file').change(function (e) {
    $('#picture-form').submit();
});

$('#picture-preview').load(function (e) {
    if ($(this).attr('src') != '/static/blank.png') {
        $('#picture-url-button').removeClass('disabled');
    }
});

$('#picture-preview').error(function (e) {
    $(this).attr('src', '/static/blank.png');
    $('#picture-url-button').addClass('disabled');
});

$('#picture-url').change(function (e) {
    $('#picture-preview').attr('src', this.value);
});

$('#picture-url-button').click(function (e) {
    if ($(this).hasClass('disabled')) {
        e.preventDefault();
    }
});
</script>
% endif

<script>
document.getElementById('SwitchUserButton').addEventListener('click', function (e) {
    $.post('/User/${Model.User.id | js}/Switch/',
           {},
           function (data) { window.location.replace('/');
    });

    e.preventDefault();
}, false);

document.getElementById('DeleteUserButton').addEventListener('click', function (e) {
    $.post('/User/${Model.User.id | js}/Delete/',
           {},
           function (data) { window.location.replace('/User/');
    });

    e.preventDefault();
}, false);
</script>
