<!DOCTYPE html> 
<!--[if lt IE 7]><html class="no-js lt-ie9 lt-ie8 lt-ie7"><![endif]--> 
<!--[if IE 7]><html class="no-js lt-ie9 lt-ie8"><![endif]--> 
<!--[if IE 8]><html class="no-js lt-ie9"><![endif]--> 
<!--[if gt IE 8]><!--><html class="no-js"><!--<![endif]--> 
<head> 
    <meta charset="utf-8"> 
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"> 
    <title>${config.FullName}</title> 
    <meta name="description" content=""> 
    <meta name="viewport" content="width=device-width"> 
  
    <link href="http://fonts.googleapis.com/css?family=Open+Sans:300italic,400it
alic,600italic,700italic,400,300,600,700" rel="stylesheet">
    <link href="/static/bootstrap.min.css" rel="stylesheet">
    <link href="/static/adminflare.min.css" rel="stylesheet">
    <link href="/static/pages.min.css" rel="stylesheet">
    <script src="/static/modernizr-jquery.min.js"></script>
    <script src="/static/bootstrap.min.js"></script>

    <!--[if lte IE 9]> 
        <script src="assets/javascripts/jquery.placeholder.min.js" type="text/ja
vascript"></script>                                
        <script type="text/javascript"> 
            $(document).ready(function () {
                $('input, textarea').placeholder();
            });
        </script> 
    <![endif]-->
    
    <script>
        $(document).ready(function() {
            var updateBoxPosition = function() {
                var container = document.getElementById('signin-container');
                container.style.marginTop = ($(window).height() - $(container).height()) / 2 + 'px';
            };
            $(window).resize(updateBoxPosition);
            setTimeout(updateBoxPosition, 50);
        });
    </script>
    <link rel="icon" href="/static/logo-icon.png">
</head>

<body class="signin-page">
% if invalidUsername:
    <div class="modal hide fade" id="failed-login">
        <div class="modal-header">
            <h3>Usuário inválido</h3>
        </div>
        <div class="modal-body">
            <p>O usuário que você digitou não existe.</p>
        </div>
        <div class="modal-footer">
            <a href="#" data-dismiss="modal" class="btn btn-primary">OK</a>
        </div>
    </div>
    <script>
        $(function () {
            $('#failed-login').modal().on('shown', function () {
                $('[data-dismiss=modal]').focus();
            }).on('hidden', function () {
                $('#username').focus();
            });
        });
    </script>
% elif invalidPassword:
    <div class="modal hide fade" id="failed-login">
        <div class="modal-header">
            <h3>Senha incorreta</h3>
        </div>
        <div class="modal-body">
            <p>A senha que você digitou estava incorreta.</p>
        </div>
        <div class="modal-footer">
            <a href="#" data-dismiss="modal" class="btn btn-primary">OK</a>
        </div>
    </div>
    <script>
        $(function () {
            $('#failed-login').modal().on('shown', function () {
                $('[data-dismiss=modal]').focus();
            }).on('hidden', function () {
                $('#password').focus();
            });
        });
    </script>
% else:
    <script>
        $(function () {
            $('#username').focus();
        });
    </script>
% endif
    <section id="signin-container">
        <a class="header">
            <img src="/static/logo-signin.png" alt=""> 
            <span>Entre no portal<br><strong>${config.short_name}</strong></span>
        </a>
        <form action="/user/=/login/" method="POST" accept-charset="utf-8" id="form-login">
            <fieldset>
                <div class="fields">
                    <input type="text" name="username"
                           placeholder="Nome de usuário" id="username"
                           tabindex="1" value="${username or '' | h}">
                    <input type="password" name="password" placeholder="Senha" id="password" tabindex="2">
                </div>

                <button type="submit" class="btn btn-primary btn-block" tabindex="4">Entrar</button>                               
                <input type="hidden" name=""
                       value="${callback | h}">
            </fieldset>
        </form>
    </section>
    <script>
        $(document.getElementById('form-login')).submit(function (e) {
            if (!document.getElementById('password').value) {
                $(document.getElementById('password')).focus();

                e.preventDefault();
                e.stopPropagation();
                return false;
            }
        });
    </script>
</body></html>
