<%inherit file="/View/_Layout.mako" />

<div class="row-fluid">

<div class="span6">
% if user.HasPermission('/candidate/', 'read'):
	<h3 class="box-header">Processo seletivo</h3>
	<div class="box">
		<div class="row-fluid" style="margin-bottom: 8px">
	% if nextExam.date and Model.CanExport:
		% if nextExam.is_today:
			<a href="/candidate/=/export/xlsx/roll/" class="btn quick-btn span4">
				<span class="label">${nextExam.date | n,ShortDay}/${nextExam.date | n,ShortMonth}</span>
				<i class="icon-list-ul"></i>
				<span class="quick-btn-title">Listas de presença</span>
			</a>
		% else:
			<a href="/candidate/=/export/xlsx/roll/" class="btn quick-btn span4 disabled" title="As listas de presença estarão disponíveis para download a partir das 6h do dia ${nextExam.date | n,LongDay} de ${nextExam.date | n,LongMonth}.">
				<span class="label">${nextExam.date | n,ShortDay}/${nextExam.date | n,ShortMonth}</span>
				<i class="icon-list-ul"></i>
				<span class="quick-btn-title">Listas de presença</span>
			</a>
			<script>$('[href="/candidate/=/export/xlsx/roll/"]').tooltip();</script>
		% endif
	% endif
		</div>  <!-- .row-fluid -->
	</div>

	% if Model.CanViewCandidateQueue:
	<h3 class="box-header">Filas de ligação</h3>
	<div class="box">
	% for candidateQueue in Model.CandidateQueueList:
		<p><a href="/Candidate/Queue/${candidateQueue.Id | h}/">${candidateQueue.Name | h}</a></p>
	% endfor
	</div>
	% endif

	% if Model.CanView or Model.CanServiceAppointment:
	<h3 class="box-header"><i class="icon-calendar"></i> Atendimentos de hoje <span class="badge">${len(candidateAppointments) | h}</span></h3>
	<div class="box">
		<table class="table">
			<tr>
				<th class="span9">Aluno</th>
				<th class="span2">&nbsp;</th>
				<th class="span1">&nbsp;</th>
			</tr>
		% if candidateAppointments:
		% for candidate in candidateAppointments:
			<tr>
				% if Model.CanServiceAppointment:
				<td><a href="/candidate/${candidate.Id | h}/appointment/">${candidate.student_name | h}</a></td>
				% else:
				<td><a href="/candidate/${candidate.Id | h}/">${candidate.student_name | h}</a></td>
				% endif
				<td>${candidate.AppointmentDateTime | n,ShortTime}</td>
			</tr>
		% endfor
		% else:
			<tr>
				<td colspan="2">Nenhum candidato foi agendado para hoje.</td>
			</tr>
		% endif
		</table>
	</div>
	% endif

	% if True:
	<h3 class="box-header"><i class="icon-bell"></i> Alarmes <span class="badge">${len(expiredCandidateAlarmList) | h}</span></h3>
	<div class="box">
		<table class="table">
			<tr>
				<th class="span9">Aluno</th>
			</tr>
		% if expiredCandidateAlarmList:
		% for alarm in expiredCandidateAlarmList:
			<tr>
				<td><a href="/Candidate/Alarm/${alarm.Id | h}/">${alarm.Candidate.student_name | h}</a></td>
			</tr>
		% endfor
		% else:
			<tr>
				<td colspan="2">Nenhum alarme foi disparado hoje.</td>
			</tr>
		% endif
		</table>
	</div>
	% endif
% endif
</div>  <!-- .span6 -->

<div class="span6">
    <h3 class="box-header">Novidades</h3>
    <div class="box widget-comments">
        <% from datetime import datetime %>
% for post in news:
        <div class="comment">
            <img src="/user/${post.Author.Id}/picture/" alt="">
            <div class="content">
                <span class="commented-by">
                    <a href="/user/${post.Author.Id}/">${post.Author.FullName | h}</a>
                </span>
                ${post.Content}
                <span class="actions">
                    &nbsp;
                    <span class="pull-right">${post.CreationDateTime - datetime.now() | n,TimeDelta}</span>

                </span>
            </div>
        </div>
% endfor
% if len(news) == 0:
		<p class="muted" style="text-align: center">(nenhuma novidade)</p>
% endif
    </div>
</div>  <!-- .span6 -->

</div>  <!-- .row-fluid -->
