<%inherit file="/View/_Layout.mako" />

<input type="text" class="input-small date-picker" data-date-format="M/yyyy" id="report-month" value="${ShortMonth(reportDate) + u"/" + year(reportDate) if reportDate is not None else "" | h}" data-value="${reportDate.isoformat() if reportDate is not None else "" | h}">

<script>
    function pad(n) { return n < 10 ? '0' + n : n; };
    /**
     * @return {string}
     */
    function ISOString(d) {
        return d.getUTCFullYear() + '-' +
               pad(d.getUTCMonth() + 1) + '-' +
               pad(d.getUTCDate());
    }
    $('#report-month').datepicker({
        minViewMode: 'months',
        viewMode: 'months',
    })
        .on('changeDate', function (e) {
            window.location.href = [location.protocol, '//', location.host, location.pathname].join('') + '?date=' + ISOString(e.date);
        })
        .keypress(function (e) {
            if (!this.value && e.which == 13) {
                window.location.href = [location.protocol, '//', location.host, location.pathname].join('');
            }
        });
</script>

<table class="table">
<thead>
	<tr>
		<th>Nome</th>
		<th>Atendimentos</th>
		<th>Matrículas</th>
	</tr>
</thead>
<tbody>
	% for interviewer in sorted(interviewers.values(), key = lambda interviewer: interviewer.FullName):
	<tr>
		<td><a href="/report/appointment/?user=${interviewer.Id | h}">${interviewer.FullName | h}</a></td>
		<td>${len(interviewer.meetings) | h}</td>
		<td>${len(interviewer.enrollments) | h}</td>
	</tr>
	% endfor
</tbody>
<tfoot>
	<tr>
		<th>Total</th>
		<th>${sum([len(interviewer.meetings) for interviewer in interviewers.values()]) | h}</th>
		<th>${sum([len(interviewer.enrollments) for interviewer in interviewers.values()]) | h}</th>
	</tr>
</tfoot>
</table>
