<%inherit file="/View/_Layout.mako" />

<table class="table">
<thead>
	<tr>
		<th></th>
        % for examDate in Model.ExamDateList:
            <th>${examDate | h}</th>
        % endfor
	</tr>
</thead>
<tbody>
    % for campus in Model.CampusList:
	<tr>
		<th>${campus.Name | h}</td>
        % for examDate in Model.ExamDateList:
            % if (campus.Id, examDate) not in Model.AppointmentStatistics:
            <td>N/A</td>
            % else:
            <%
                from decimal import Decimal
                statistics = Model.AppointmentStatistics[campus.Id, examDate]
                statistics.InterviewedCandidatePercentage = Decimal('100.0') * statistics.InterviewedCandidateCount / statistics.PresentCandidateCount
                statistics.ScheduledCandidatePercentage = Decimal('100.0') * statistics.ScheduledCandidateCount / statistics.PresentCandidateCount
            %>
            <td><div
                    class="progress"
                    style="margin-top: 4px; margin-bottom: 0; position: relative; width: ${100.0 * statistics.PresentCandidateCount / 338}%"
                    title="${statistics.PresentCandidateCount | n,unit(u"candidato present")}">
                <div
                    class="bar"
                    style="position: absolute; left: 0; border-color: #DA9637; background-color: #F7BE35; background-image: linear-gradient(rgb(247, 198, 66), rgb(248, 178, 34)); width: ${statistics.ScheduledCandidatePercentage | h}%"
                    title="${statistics.ScheduledCandidateCount | n,unit(u"candidato agendado")}"></div>
                <div
                    class="bar"
                    style="position: absolute; left: 0; width: ${statistics.InterviewedCandidatePercentage | h}%"
                    title="${statistics.InterviewedCandidateCount | n,unit(u"candidato atendido")}"></div>
            </div></td>
            % endif
        % endfor
	</tr>
	% endfor
</tbody>
</table>

<script>
    // $('.progress[title], .bar[title]').tooltip();
</script>
