<%inherit file="/View/_Layout.mako" />

<div class="row-fluid">

<div class="span9">

% for appointment_date, rows in group_by(appointments, 'appointment_date'):
<h3 class="box-header">${appointment_date | h} <span class="badge">${len(rows) | h}</span></h3>
<div class="box box-collapsed">
	% for appointment_time, rows in group_by(rows, 'appointment_time'):
	<h4>${appointment_time | n,time}</h4>
	% for row in rows:
	<p><a href="/candidate/${row.CandidateId}/">${row.student_name | h}</a></p>
	% endfor
	% endfor
</div>
% endfor

</div>  <!-- .span9 -->

<div class="span3">

<style>
table.table-filter {
    width: 100%;
	border-spacing: 0 5px;
	border-collapse: separate;
	margin: -5px 0;
}

table.table-filter tr {
    vertical-align: top;
}

table.table-filter tr > td {
    padding: 0;
}

table.table-filter tr > td:first-child {
    width: 20px;
}

table.table-filter tr > td:first-child > input {
    float: left;
}

table.table-filter tr > td:nth-child(3) {
	text-align: right;
	vertical-align: bottom;
}
</style>

<h3 class="box-header">Unidade</h3>
<div class="box">
<table class="table-filter">
	% for campus in campuses:
	<tr>
		<td><input type="radio" name="campus" value="${campus.id | h}"${getattr(FormData, 'campus', None).id == campus.id | n,checked}></td>
		<td>${campus.name | h}</td>
	</tr>
	% endfor
</table>
</div>  <!-- .box -->

<script>
var campusGroup = $('input[name=campus]');

function getChecked(group) {
    for (var i = 0; i < group.length; i++) {
        if (group[i].checked) {
            return group[i].value;
        }
    }
}

function updateIndex() {
    var newURL = '/report/appointment/calendar/';
    var numArguments = 0;
    var groupNames = {
        'campus': campusGroup,
    };
    for (groupName in groupNames) {
        var group = groupNames[groupName]
        if (getChecked(group)) {
            newURL += (numArguments++ ? '&' : '?');
            newURL += groupName + '=' + getChecked(groupNames[groupName]);
        }
    }

    document.location.href = newURL;
}

campusGroup.change(updateIndex);
</script>

</div>  <!-- .span3 -->

</div>  <!-- .row-fluid -->
