<%inherit file="/View/_Layout.mako" />

<div class="row-fluid">

<div class="span9">

<table class="table">
<tr>
    % if form.group_by == 'user':
    <th>Nome</th>
    % elif form.group_by == 'exam_date':
    <th>Data do exame</th>
    % else:
    <th>Nome do candidato</th>
    % endif
    <th>% presentes</th>
    <th>Confirmações</th>
</tr>
% for row in report:
<tr>
    % if form.group_by == 'user':
    <td><a href="/report/telemarketing/?user=${row.user.id}">${row.user.FullName | h}</a></td>
    % elif form.group_by == 'exam_date':
    <td>${row.exam_date | n,LongDay} de ${row.exam_date | n,LongMonth}</td>
    % else:
    <td><a href="/candidate/${row.candidate.id}/">${row.candidate.student_name | h}</a></td>
    % endif
    <td>${row.present_ratio | n,percentage(1)}</td>
    <td>${row.confirmed_Candidate | h}</td>
</tr>
% endfor
</table>

</div>  <!-- .span9 -->

<div class="span3">

<style>
table.table-filter {
    width: 100%;
	border-spacing: 0 5px;
	border-collapse: separate;
	margin: -5px 0;
}

table.table-filter tr {
    vertical-align: top;
}

table.table-filter tr > td {
    padding: 0;
}

table.table-filter tr > td:first-child {
    width: 20px;
}

table.table-filter tr > td:first-child > input {
    float: left;
}

table.table-filter tr > td:nth-child(3) {
	text-align: right;
	vertical-align: bottom;
}
</style>

<h3 class="box-header">Data do exame</h3>
<div class="box box-collapsed">
<table class="table-filter">
	<tr>
		<td><input type="radio" name="exam_date" value=""${getattr(FormData, 'exam_date', None) is None | n,checked}></td>
		<td><b>todos</b></td>
		<td>&nbsp;</td>
	</tr>
	% for exam_date in exam_dates:
	<tr>
		<td><input type="radio" name="exam_date" value="${exam_date.exam_date | h}"${getattr(FormData, 'exam_date', None) == exam_date.exam_date | n,checked}></td>
		<td>${exam_date.exam_date | n,LongDay} de ${exam_date.exam_date | n,LongMonth}</td>
		<td><span class="badge">${exam_date.count | h}</span></td>
	</tr>
	% endfor
</table>
</div>  <!-- .box -->

<script>
var examDateGroup = $('input[name=exam_date]');

function getChecked(group) {
    for (var i = 0; i < group.length; i++) {
        if (group[i].checked) {
            return group[i].value;
        }
    }
}

function updateIndex() {
    var newURL = '/report/telemarketing/';
    var numArguments = 0;
    var groupNames = {
        'exam_date': examDateGroup,
    };
    for (groupName in groupNames) {
        var group = groupNames[groupName]
        if (getChecked(group)) {
            newURL += (numArguments++ ? '&' : '?');
            newURL += groupName + '=' + getChecked(groupNames[groupName]);
        }
    }

    document.location.href = newURL;
}

examDateGroup.change(updateIndex);
</script>

</div>  <!-- .span3 -->

</div>  <!-- .row-fluid -->
