<%inherit file="/View/Settings/_Base.mako" />
<%namespace file="/View/_Editable.mako" import="editable" />

<h1>${editable('name',
               class_.name,
               class_.path,
               placement = 'bottom')}</h1>

<div class="row-fluid">

<div class="span6">
    <h2 class="box-header">Detalhes</h2>
    <div class="box">
        <form class="form-horizontal">

        <div class="control-group">
            <label class="control-label" for="class-campus">Unidade</label>
            <div class="controls">
                ${editable('campus',
                           class_.campus.id,
                           class_.path,
                           type = 'select',
                           display = class_.campus.name,
                           source = '/campus/?ajax=true')}
            </div>
        </div>

% if start_date:
        <div class="control-group">
            <label class="control-label">Início do período letivo</label>
            <div class="controls">
                ${start_date | n,LongDay} de
                ${start_date | n,LongMonth} de
                ${start_date | n,year}
            </div>
        </div>
% endif

        <div class="control-group">
            <label class="control-label" for="class-monthly-payment">Mensalidade</label>
            <div class="controls">
                ${editable('MonthlyPayment',
                           money(class_.MonthlyPayment),
                           class_.path)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="class-minimum-discount">Bolsa mínima</label>
            <div class="controls">
                ${editable('MinimumDiscount',
                           percentage()(class_.MinimumDiscount),
                           class_.path)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="class-average-discount">Bolsa média</label>
            <div class="controls">
                ${editable('AverageDiscount',
                           percentage()(class_.AverageDiscount),
                           class_.path)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="class-average-discount">Bolsa máxima</label>
            <div class="controls">
                ${editable('MaximumDiscount',
                           percentage()(class_.MaximumDiscount),
                           class_.path)}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="class-campus">Turno</label>
            <div class="controls">
                ${editable('shift',
                           class_.shift.id,
                           class_.path,
                           type = 'select',
                           display = class_.shift.name,
                           source = '/settings/shifts/?ajax=true')}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="class-course">Curso</label>
            <div class="controls">
                ${editable('course',
                           class_.course.id,
                           class_.path,
                           type = 'select',
                           display = class_.course.name,
                           source = '/Course/?ajax=1')}
            </div>
        </div>

        <div class="control-group">
            <label class="control-label">Capacidade</label>
            <div class="controls">
                ${editable('Capacity',
                           class_.Capacity,
                           class_.path)}
            </div>
        </div>

        </form>
    </div>
    % if Model.IsDeletingAllowed:
        <button class="btn btn-danger" id="btnDelete" style="margin-bottom: 8px">Apagar turma</button>
    % endif
</div> <!-- .span6 -->

% if Model.IsDiscountPolicyAvailable:
<div class="span3 offset3">
    <h3 class="box-header">Tabela de bolsas</h3>
    <div class="box">
	% if not Model.AreDiscountsOutOfRange:
        <table class="table">
		% for grade in sorted(class_.discounts.keys()):
            <tr>
                <td>${grade | h}</td>
                <td>${class_.discounts[grade] | n,percentage(1)}</td>
            </tr>
		% endfor
        </table>
	% else:
		<p class="text-error">As metas de bolsa mínima/média/máxima são inconsistentes.</p>
	% endif
    </div>
</div> <!-- .span3 .offset3 -->
% endif

</div> <!-- .row-fluid -->

<script>
document.getElementById('btnDelete').addEventListener('click', function (e) {
    $.post('/SchoolClass/${Model.SchoolClass.Id | js}/Delete',
           {},
           function (data) { window.location.replace('/SchoolClass/');
    });

    e.preventDefault();
}, false);
</script>
</script>
