<%inherit file="/View/Settings/_Base.mako" />

% if user.HasPermission('/SchoolClass/', 'admin'):
<div class="row-fluid">
    <div class="offset10 span2">
        <button id="new-class" class="btn">Criar turma...</button>
    </div>
</div>
% endif

<div class="row-fluid">
<%

groups = group_by(SchoolClass, ('Campus.Name', 'CampusId'))
groups.sort()

weights = [4 + 3 * max(1, len(group)) for key, group in groups]
columns = n_partition(3, weights, groups)

%>
% for column in columns:
<div class="span4">
% if not column:
&nbsp;
% endif
% for (campus_name, CampusId), campus_SchoolClass in column:
	<h2 class="box-header">${campus_name | h}</h2>
    <div class="box">
<% lastName = None %>
	% for class_ in campus_SchoolClass:
        % if class_.name != lastName:
            % if lastName is not None:
                -->)</p>
            % endif
            <% lastName = class_.name %>
            <p>${class_.name | h} (<!--
        % else:
            -->, <!--
        % endif
            --><a href="/SchoolClass/${class_.id}/" ${'style="color:#F00"' if (not class_.HasOutlay or class_.HasDefaultDiscounts or class_.IsDiscountPolicyCrossedOver) else '' | n}">${class_.shift.name or u"a definir" | h}</a><!--
	% endfor
        -->)</p>
    </div>
% endfor
</div> <!-- .span4 -->
% endfor
</div> <!-- .row-fluid -->

% if user.HasPermission('/SchoolClass/', 'admin'):
<div class="modal hide fade" id="new-class-modal">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
        <h3>Criar turma...</h3>
    </div>
    <div class="modal-body">
        <form action="/SchoolClass/Create" method="POST" class="form-horizontal"
              id="class-new-form">
        <div class="control-group">
            <label class="control-label" for="class-name">Nome</label>
            <div class="controls">
                <input type="text" name="Name" id="class-name" required>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="class-campus">Unidade</label>
            <div class="controls">
                <select name="CampusId" id="class-campus" required>
                </select>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="class-course">Curso oferecido</label>
            <div class="controls">
                <select name="CourseId" id="class-course" required>
                </select>
            </div>
        </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="submit" class="btn btn-primary" id="class-new-submit">
            OK</button>
    </div>
</div>

<script>
$('#new-class').click(function (e) {
    $('#new-class-modal').modal('show');

    $.getJSON('/campus/?ajax=1', function (data) {
        $('#class-campus').empty();
        $.each(data, function () {
            $('#class-campus').append($('<option></option>')
                                      .val(this.value)
                                      .text(this.text));
        });
    });

    $.getJSON('/Course/?ajax=1', function (data) {
        $('#class-course').empty();
        $.each(data, function () {
            $('#class-course').append($('<option></option>')
                                      .val(this.value)
                                      .text(this.text));
        });
		$('#class-course').change(function (e) {
			$('#class-name').val($('#class-course').find('[value="' + $('#class-course').val() + '"]').text());
		});
		$('#class-name').val($('#class-course').find('[value="' + $('#class-course').val() + '"]').text());
    });

    e.stopPropagation();
    e.preventDefault();
    return false;
});

$('#class-new-submit').click(function () {
    $('#class-new-form').submit();
});
</script>
% endif
