# coding=utf-8
<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9"><![endif]-->
<!--[if gt IE 8]><!--><html class="no-js"><!--<![endif]-->
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<title>${config.FullName | h}</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width">
	
    <!--link href="http://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,400,300,600,700" rel="stylesheet"-->
    <link href="/static/bootstrap.min.css" rel="stylesheet">
    <link href="/static/adminflare.min.css" rel="stylesheet">

    <style media="print">
    #left-panel, #main-navbar, .nav, #on-top-link, a[href]::after {
        display: none
    }
    body {
        padding: 0.75cm 1.5cm;
    }
    </style>
	
	<script src="/static/modernizr-jquery.min.js"></script>
	<script src="/static/bootstrap.min.js"></script>
	<script src="/static/adminflare.min.js"></script>

	<script type="text/javascript">
		$(document).ready(function () {
			$('a[rel=tooltip]').tooltip();
			$('#tab-users a').tooltip();
		});
	</script>

    <link rel="icon" href="/static/logo-icon.png">
</head>
<body>
	<header class="navbar navbar-fixed-top" id="main-navbar">
		<div class="navbar-inner">
			<div class="container">
				<a class="logo" href="/"><img alt="${config.short_name | h}" src="/static/logo.png"></a>

				<div class="nav-collapse collapse">
                    <ul class="nav">
						<li class="separator"></li>
                    </ul>

					<ul class="nav pull-right">
						<li class="separator"></li>
						<li class="dropdown">
							<a href="/user/self/" class="dropdown-toggle usermenu" data-toggle="dropdown">
								<img alt="" src="/user/${user.id | h}/picture/">
								<span>&nbsp;&nbsp;${user.FullName | h}</span>
							</a>
							<ul class="dropdown-menu">
								<li>
									<a href="/user/self/">Perfil</a>
								</li>
								<li class="divider"></li>
								<li>
									<a href="#"
                                    onclick="$.post('/user/=/logout/', {}, function () { document.location.href = '/'; })">Sair</a>
								</li>
							</ul>
						</li>
					</ul>
				</div>
			</div>
		</div>
	</header>
	
	<nav id="left-panel">
		<div id="left-panel-content">
			<ul>
                <li${' class="active"' if path == '/' else ''}><a href="/">
                    <span class="icon-home"></span> Início</a></li>
<%def name="left_panel_button(url, text, icon, permission = 'read')">
% if user.HasPermission(url, permission):
    <li${' class="active"' if path.startswith(url) else ''}><a href="${url | h}">
        <span class="icon-${icon | h}"></span>
        ${text | h}</a></li>
% endif
</%def>
${left_panel_button('/candidate/', u"Candidatos", 'group')}
% if user.HasPermission('/report/', 'read'):
                <li class="lp-dropdown${' active' if path.startswith('/report/') else ''}">
                    <a href="#" class="lp-dropdown-toggle" id="reports-dropdown"><span class="icon-signal"></span> Relatórios</a>
<ul class="lp-dropdown-menu simple" data-dropdown-owner="reports-dropdown">
<%doc>
						<li>
							<a href="/report/telemarketing/"><i
                            class="icon-phone"></i>&emsp;Telemarketing</a>
                        </li>
</%doc>
						<li>
							<a href="/report/appointment/"><i
                            class="icon-calendar"></i>&emsp;Atendimentos</a>
						</li>
						<li>
							<a href="/report/status/"><i
                            class="icon-info"></i>&emsp;Situações</a>
						</li>
						<li>
							<a href="/report/qse/"><i
                            class="icon-info"></i>&emsp;QSE</a>
						</li>
					</ul>
                </li>
% endif
    <li${' class="active"' if any(path.startswith(url) for url in ('/Campus/', '/SchoolClass/', '/Settings/', '/User/', '/Course/')) else ''}><a href="/settings/">
        <span class="icon-gears"></span>
        Configurações</a></li>
			</ul>
		</div>
		<div class="icon-caret-down"></div>
		<div class="icon-caret-up"></div>
	</nav>
	
	<section class="container">
        ${next.body()}

		<footer id="main-footer">
			Copyright © 2016 <a href="${config.contact_url | h}">${config.FullName | h}</a>, todos os direitos reservados.
			<a href="#" class="pull-right" id="on-top-link">
				Topo&nbsp;<i class=" icon-chevron-up"></i>
			</a>
		</footer>
	</section>

</body>
</html>



