from lawrence.util import QueryString

HTTP_CODES = {
    # FIXME: add all status codes here.
    200: '200 OK',
    201: '201 Created',
    204: '204 No Content',
    301: '301 Moved Permanently',
    302: '302 Found',
    303: '303 See Other',
    307: '307 Temporary Redirect',
    400: '400 Bad Request',
    403: '403 Forbidden',
    404: '404 Not Found',
    500: '500 Internal Server Error',
}

class HTTPStatus (BaseException):
    def __init__(self, *args, **kwargs):
        BaseException.__init__(self, *args, **kwargs)
        self.StatusCode = None

class HTTPSuccessful (HTTPStatus):
    def __init__(self):
        HTTPStatus.__init__(self)

class HTTPRedirection (HTTPStatus):
    def __init__(self, location, params = None):
        HTTPStatus.__init__(self)
        self.Location = location + QueryString(params or {})

class HTTPClientError (HTTPStatus):
    def __init__(self):
        HTTPStatus.__init__(self)

class HTTPServerError (HTTPStatus):
    def __init__(self):
        HTTPStatus.__init__(self)

class Created (HTTPSuccessful):
    def __init__(self, location, params = None):
        HTTPSuccessful.__init__(self)
        self.Location = location + QueryString(params or {})
        self.StatusCode = 201

class NoContent (HTTPSuccessful):
    def __init__(self):
        HTTPSuccessful.__init__(self)
        self.StatusCode = 204

class MovedPermanently (HTTPRedirection):
    def __init__(self, location, params = None):
        HTTPRedirection.__init__(self, location, params)
        self.StatusCode = 301

class Found (HTTPRedirection):
    def __init__(self, location, params = None):
        HTTPRedirection.__init__(self, location, params)
        self.StatusCode = 302

class SeeOther (HTTPRedirection):
    def __init__(self, location, params = None):
        HTTPRedirection.__init__(self, location, params)
        self.StatusCode = 303

class TemporaryRedirect (HTTPRedirection):
    def __init__(self, location, params = None):
        HTTPRedirection.__init__(self, location, params)
        self.StatusCode = 307

class BadRequest (HTTPClientError):
    def __init__(self):
        HTTPClientError.__init__(self)
        self.StatusCode = 400

class Forbidden (HTTPClientError):
    def __init__(self):
        HTTPClientError.__init__(self)
        self.StatusCode = 403

class NotFound (HTTPClientError):
    def __init__(self):
        HTTPClientError.__init__(self)
        self.StatusCode = 404

class InternalServerError (HTTPServerError):
    def __init__(self):
        HTTPServerError.__init__(self)
        self.StatusCode = 500
