#!/usr/bin/env python2.7
# encoding: utf-8

from zipfile import ZipFile

KnownSubjects = {
    "Matemática": ('matematica', 'matemtica', 'matem_tica'),
    "Desenho Geométrico": ('desenho_geometrico', ),
    "Física": ('fisica', 'fsica', 'f_sica'),
    "Química": ('quimica', 'qumica', 'qu_mica'),
    "Português": ('portugues', ),
    "Língua Portuguesa": ('lingua_portuguesa', ),
    "Literatura": (),
    "Redação": ('redacao', ),
    "Inglês": ('ingles', ),
    "Espanhol": (),
    "História": ('historia', ),
    "Geografia": (),
    "Biologia": (),
    "Ciências": ('ciencias', ),
    "Educação Física": ('educacao_fisica', ),
    "Filosofia": (),
    "Sociologia": (),
    "Música": ('musica', ),
    "Artes": (),
    "Dança": ('danca', 'dana', 'dan_a'),
    "Teatro": (),
    "Informática": ('informatica', 'informtica', 'inform_tica'),
    "Xadrez": (),
}

def AttemptGuess(s):
    for subject in KnownSubjects:
        if subject.lower() in s.lower():
            return subject
    for subject in KnownSubjects:
        for alternate in KnownSubjects[subject]:
            if alternate.lower() in s.lower():
                return subject

def GuessSubject(*hints):
    for hint in hints:
        guess = AttemptGuess(hint)
        if guess:
            return guess

def ZipContents(zipFile):
    if isinstance(zipFile, str):
        zipFile = ZipFile(zipFile, 'r')
    for name in zipFile.namelist():
        with zipFile.open(name) as archivedFile:
            yield name, archivedFile
