import smtplib

import lawrence.db as db
import lawrence.config as config

def Queue(fromAddress, toAddress, body):
    db.Execute('''
        INSERT INTO EMailQueue (from_address, to_address, body)
        VALUES (%s, %s, %s)''',
        (fromAddress, toAddress, body))

def Send():
    smtpServer = smtplib.SMTP(config.smtp_server)
    smtpServer.starttls()
    smtpServer.login(config.smtp_username, config.smtp_password)
    cursor = db.Cursor()
    while True:
        cursor.begin()
        try:
            email = cursor.Single(
                '''SELECT Id AS Id,
                          from_address AS FromAddress,
                          to_address AS ToAddress,
                          body AS Body
                   FROM EMailQueue
                   LIMIT 1''')
        except ValueError:
            break
        try:
            if email.ToAddress:
            # smtpServer.sendmail("contato@colegioapogeu.com.br","davi.firmino@colegioapogeu.com.br", email.Body.encode('utf-8'))
                smtpServer.sendmail(email.FromAddress, email.ToAddress, email.Body.encode('utf-8'))
            # smtpServer.sendmail(email.FromAddress.encode('utf-8'), [email.ToAddress.encode('utf-8')], email.Body.encode('utf-8'))
        except smtplib.SMTPException:
            raise
        finally:
            cursor.Execute('''
                DELETE FROM EMailQueue
                WHERE Id = %s''', (email.Id, ))
            cursor.Commit()
    smtpServer.quit()
