from datetime import time, datetime, timedelta

def ToMinutes(delta):
    return delta.days * 1440 + delta.seconds // 60

def AddMinutes(sourceTime, minuteDelta):
    minute = sourceTime.minute + minuteDelta
    hour = sourceTime.hour + minute // 60

    return time(hour = hour % 24,
                minute = minute % 60,
                second = sourceTime.second,
                microsecond = sourceTime.microsecond)

def PreviousMonth(day):
    return PreviousWeekday(day.replace(day = 1), day.isoweekday())

def PreviousWeekday(day, weekday):
    distance = (day.isoweekday() - weekday) % 7 or 7
    return day - timedelta(days = distance)

def GetMonthsElapsed(startDate, endDate):
    if isinstance(startDate, datetime):
        startDate = startDate.date()
    if isinstance(endDate, datetime):
        endDate = endDate.date()
    if not (endDate >= startDate):
        return 0
    # assert endDate >= startDate
    return (endDate.year - startDate.year) * 12 + (endDate.month - startDate.month) - (1 if endDate.day < startDate.day else 0)

def GetYearsElapsed(startDate, endDate):
    return GetMonthsElapsed(startDate, endDate) // 12
